Debian Bug report logs - #670462
linux-2.6: Support new armhf kernel variant for Versatile Express (vexpress)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Vagrant Cascadian <vagrant@debian.org>

Date: Wed, 25 Apr 2012 20:45:07 UTC

Severity: wishlist

Tags: patch, pending

Found in version 3.2.15-1

Fixed in version linux-2.6/3.2.17-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-arm@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#670462; Package linux-2.6. (Wed, 25 Apr 2012 20:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
New Bug report received and forwarded. Copy sent to debian-arm@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Apr 2012 20:45:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: Support new armhf kernel variant for Versatile Express (vexpress)
Date: Wed, 25 Apr 2012 13:44:02 -0700
Package: linux-2.6
Version: 3.2.15-1
Severity: wishlist
Tags: patch

Please consider a new kernel variant to support Versatile Express, an 
armhf capable platform that it is also supported by the qemu version currently 
in wheezy/sid (1.0.1+dfsg-1).

This would allow more people to test the armhf port without needing armhf 
capable hardware.

For some information about qemu support:

  https://wiki.linaro.org/PeterMaydell/QemuVersatileExpress

I've tested that the following configuration at least boots to a Debian armhf 
LTSP environment in QEMU. "qemu-system-arm -M vexpress-a9 -kernel ..." worked 
like a charm.

It essentially grabs the vexpress default configuration from the upstream 
kernel, perhaps this could/should be trimmed down...


live well,
  vagrant


diff -urN ../l/linux-2.6-3.2.15/debian/changelog debian/changelog
--- ../l/linux-2.6-3.2.15/debian/changelog	2012-04-25 12:52:15.000000000 -0700
+++ debian/changelog	2012-04-25 13:13:40.000000000 -0700
@@ -1,3 +1,10 @@
+linux-2.6 (3.2.15-2) UNRELEASED; urgency=low
+
+  [ Vagrant Cascadian ]
+  * [armhf/vexpress] New kernel variant to support Versatile Express.
+
+ -- Vagrant Cascadian <vagrant@debian.org>  Wed, 25 Apr 2012 13:12:06 -0700
+
 linux-2.6 (3.2.15-1) unstable; urgency=high
 
   * New upstream stable update:
diff -urN ../l/linux-2.6-3.2.15/debian/config/armhf/config.vexpress debian/config/armhf/config.vexpress
--- ../l/linux-2.6-3.2.15/debian/config/armhf/config.vexpress	1969-12-31 16:00:00.000000000 -0800
+++ debian/config/armhf/config.vexpress	2012-04-23 20:02:13.000000000 -0700
@@ -0,0 +1,151 @@
+##
+## file: arch/arm/Kconfig
+##
+## choice: ARM system type
+CONFIG_ARCH_VEXPRESS=y
+## end choice
+
+## arch/arm/mach-vexpress/Kconfig
+CONFIG_ARCH_VEXPRESS_CA9X4=y
+
+# from vexpress_defconfig
+CONFIG_EXPERIMENTAL=y
+# CONFIG_LOCALVERSION_AUTO is not set
+CONFIG_SYSVIPC=y
+CONFIG_IKCONFIG=y
+CONFIG_IKCONFIG_PROC=y
+CONFIG_LOG_BUF_SHIFT=14
+CONFIG_CGROUPS=y
+CONFIG_CPUSETS=y
+# CONFIG_UTS_NS is not set
+# CONFIG_IPC_NS is not set
+# CONFIG_USER_NS is not set
+# CONFIG_PID_NS is not set
+# CONFIG_NET_NS is not set
+CONFIG_BLK_DEV_INITRD=y
+# CONFIG_CC_OPTIMIZE_FOR_SIZE is not set
+CONFIG_PROFILING=y
+CONFIG_OPROFILE=y
+CONFIG_MODULES=y
+CONFIG_MODULE_UNLOAD=y
+# CONFIG_LBDAF is not set
+# CONFIG_BLK_DEV_BSG is not set
+# CONFIG_IOSCHED_DEADLINE is not set
+# CONFIG_IOSCHED_CFQ is not set
+CONFIG_ARCH_VEXPRESS=y
+CONFIG_ARCH_VEXPRESS_CA9X4=y
+# CONFIG_SWP_EMULATE is not set
+CONFIG_SMP=y
+CONFIG_VMSPLIT_2G=y
+CONFIG_HOTPLUG_CPU=y
+CONFIG_AEABI=y
+CONFIG_ZBOOT_ROM_TEXT=0x0
+CONFIG_ZBOOT_ROM_BSS=0x0
+CONFIG_CMDLINE="root=/dev/nfs nfsroot=10.1.69.3:/work/nfsroot ip=dhcp console=ttyAMA0 mem=128M"
+CONFIG_VFP=y
+CONFIG_NEON=y
+# CONFIG_CORE_DUMP_DEFAULT_ELF_HEADERS is not set
+CONFIG_NET=y
+CONFIG_PACKET=y
+CONFIG_UNIX=y
+CONFIG_INET=y
+CONFIG_IP_PNP=y
+CONFIG_IP_PNP_DHCP=y
+CONFIG_IP_PNP_BOOTP=y
+# CONFIG_INET_LRO is not set
+# CONFIG_IPV6 is not set
+# CONFIG_WIRELESS is not set
+CONFIG_UEVENT_HELPER_PATH="/sbin/hotplug"
+CONFIG_MTD=y
+CONFIG_MTD_CONCAT=y
+CONFIG_MTD_PARTITIONS=y
+CONFIG_MTD_CMDLINE_PARTS=y
+CONFIG_MTD_CHAR=y
+CONFIG_MTD_BLOCK=y
+CONFIG_MTD_CFI=y
+CONFIG_MTD_CFI_INTELEXT=y
+CONFIG_MTD_CFI_AMDSTD=y
+CONFIG_MTD_ARM_INTEGRATOR=y
+CONFIG_MISC_DEVICES=y
+# CONFIG_SCSI_PROC_FS is not set
+CONFIG_BLK_DEV_SD=y
+# CONFIG_SCSI_LOWLEVEL is not set
+CONFIG_ATA=y
+# CONFIG_SATA_PMP is not set
+CONFIG_NETDEVICES=y
+CONFIG_NET_ETHERNET=y
+CONFIG_SMSC911X=y
+# CONFIG_NETDEV_1000 is not set
+# CONFIG_NETDEV_10000 is not set
+# CONFIG_WLAN is not set
+CONFIG_INPUT_EVDEV=y
+# CONFIG_SERIO_SERPORT is not set
+CONFIG_SERIO_AMBAKMI=y
+CONFIG_SERIAL_AMBA_PL011=y
+CONFIG_SERIAL_AMBA_PL011_CONSOLE=y
+CONFIG_LEGACY_PTY_COUNT=16
+# CONFIG_HW_RANDOM is not set
+# CONFIG_HWMON is not set
+CONFIG_FB=y
+CONFIG_FB_ARMCLCD=y
+CONFIG_FRAMEBUFFER_CONSOLE=y
+CONFIG_LOGO=y
+# CONFIG_LOGO_LINUX_MONO is not set
+# CONFIG_LOGO_LINUX_VGA16 is not set
+CONFIG_SOUND=y
+CONFIG_SND=y
+CONFIG_SND_MIXER_OSS=y
+CONFIG_SND_PCM_OSS=y
+# CONFIG_SND_DRIVERS is not set
+CONFIG_SND_ARMAACI=y
+CONFIG_HID_DRAGONRISE=y
+CONFIG_HID_GYRATION=y
+CONFIG_HID_TWINHAN=y
+CONFIG_HID_NTRIG=y
+CONFIG_HID_PANTHERLORD=y
+CONFIG_HID_PETALYNX=y
+CONFIG_HID_SAMSUNG=y
+CONFIG_HID_SONY=y
+CONFIG_HID_SUNPLUS=y
+CONFIG_HID_GREENASIA=y
+CONFIG_HID_SMARTJOYPLUS=y
+CONFIG_HID_TOPSEED=y
+CONFIG_HID_THRUSTMASTER=y
+CONFIG_HID_ZEROPLUS=y
+CONFIG_USB=y
+CONFIG_USB_ANNOUNCE_NEW_DEVICES=y
+# CONFIG_USB_DEVICE_CLASS is not set
+CONFIG_USB_MON=y
+CONFIG_USB_ISP1760_HCD=y
+CONFIG_USB_STORAGE=y
+CONFIG_MMC=y
+CONFIG_MMC_ARMMMCI=y
+CONFIG_RTC_CLASS=y
+CONFIG_RTC_DRV_PL031=y
+CONFIG_EXT2_FS=y
+CONFIG_EXT3_FS=y
+# CONFIG_EXT3_DEFAULTS_TO_ORDERED is not set
+# CONFIG_EXT3_FS_XATTR is not set
+CONFIG_VFAT_FS=y
+CONFIG_TMPFS=y
+CONFIG_JFFS2_FS=y
+CONFIG_CRAMFS=y
+CONFIG_NFS_FS=y
+CONFIG_NFS_V3=y
+CONFIG_ROOT_NFS=y
+# CONFIG_RPCSEC_GSS_KRB5 is not set
+CONFIG_NLS_CODEPAGE_437=y
+CONFIG_NLS_ISO8859_1=y
+CONFIG_MAGIC_SYSRQ=y
+CONFIG_DEBUG_FS=y
+CONFIG_DEBUG_KERNEL=y
+CONFIG_DETECT_HUNG_TASK=y
+# CONFIG_SCHED_DEBUG is not set
+CONFIG_DEBUG_INFO=y
+# CONFIG_RCU_CPU_STALL_DETECTOR is not set
+CONFIG_DEBUG_USER=y
+CONFIG_DEBUG_ERRORS=y
+CONFIG_DEBUG_LL=y
+CONFIG_EARLY_PRINTK=y
+# CONFIG_CRYPTO_ANSI_CPRNG is not set
+# CONFIG_CRYPTO_HW is not set
diff -urN ../l/linux-2.6-3.2.15/debian/config/armhf/defines debian/config/armhf/defines
--- ../l/linux-2.6-3.2.15/debian/config/armhf/defines	2012-04-25 12:52:33.000000000 -0700
+++ debian/config/armhf/defines	2012-04-25 13:01:42.000000000 -0700
@@ -2,6 +2,7 @@
 flavours:
  mx5
  omap
+ vexpress
 kernel-arch: arm
 
 [image]
@@ -26,3 +27,11 @@
 
 [omap_image]
 recommends: uboot-mkimage
+
+[vexpress_build]
+image-file: arch/arm/boot/zImage
+
+[vexpress_description]
+hardware: ARM Ltd. Versatile Express
+hardware-long: Support for ARM Ltd. Versatile Express family of processors
+
diff -urN ../l/linux-2.6-3.2.15/debian/control debian/control
--- ../l/linux-2.6-3.2.15/debian/control	2012-04-25 12:52:15.000000000 -0700
+++ debian/control	2012-04-25 13:07:54.000000000 -0700
@@ -2573,7 +2573,7 @@
 
 Package: linux-headers-3.2.0-2-all-armhf
 Architecture: armhf
-Depends: ${misc:Depends}, linux-headers-3.2.0-2-mx5 (= ${binary:Version}), linux-headers-3.2.0-2-omap (= ${binary:Version})
+Depends: ${misc:Depends}, linux-headers-3.2.0-2-mx5 (= ${binary:Version}), linux-headers-3.2.0-2-omap (= ${binary:Version}), linux-headers-3.2.0-2-vexpress (= ${binary:Version})
 Description: All header files for Linux 3.2 (meta-package)
  This package depends against all architecture-specific kernel header files
  for Linux kernel version 3.2, generally used for building out-of-tree
@@ -2928,6 +2928,30 @@
  that load into the kernel provided by the linux-image-3.2.0-2-omap
  package.
 
+Package: linux-image-3.2.0-2-vexpress
+Architecture: armhf
+Provides: linux-image, linux-modules-3.2.0-2-vexpress
+Pre-Depends: debconf | debconf-2.0
+Depends: kmod | module-init-tools, linux-base (>= 3~), ${misc:Depends}, initramfs-tools (>= 0.99~) [armhf] | linux-initramfs-tool [armhf]
+Recommends: firmware-linux-free (>= 3~)
+Suggests: linux-doc-3.2, fdutils [armhf]
+Breaks: at (<< 3.1.12-1+squeeze1), initramfs-tools (<< 0.99~)
+Description: Linux 3.2 for ARM Ltd. Versatile Express
+ The Linux kernel 3.2 and modules for use on Support for ARM Ltd.
+ Versatile Express family of processors.
+
+Package: linux-headers-3.2.0-2-vexpress
+Architecture: armhf
+Provides: linux-headers
+Depends: linux-headers-3.2.0-2-common (= ${binary:Version}), linux-kbuild-3.2, ${misc:Depends}, gcc-4.6
+Description: Header files for Linux 3.2.0-2-vexpress
+ This package provides the architecture-specific kernel header files for
+ Linux kernel 3.2.0-2-vexpress, generally used for building out-of-tree
+ kernel modules.  These files are going to be installed into
+ /usr/src/linux-headers-3.2.0-2-vexpress, and can be used for building
+ modules that load into the kernel provided by the
+ linux-image-3.2.0-2-vexpress package.
+
 Package: linux-headers-3.2.0-2-all-hppa
 Architecture: hppa
 Depends: ${misc:Depends}, linux-headers-3.2.0-2-parisc (= ${binary:Version}), linux-headers-3.2.0-2-parisc-smp (= ${binary:Version}), linux-headers-3.2.0-2-parisc64 (= ${binary:Version}), linux-headers-3.2.0-2-parisc64-smp (= ${binary:Version})




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#670462; Package linux-2.6. (Wed, 25 Apr 2012 21:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Apr 2012 21:21:13 GMT) Full text and rfc822 format available.

Message #10 received at 670462@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vagrant Cascadian <vagrant@debian.org>
Cc: 670462@bugs.debian.org
Subject: Re: Support new armhf kernel variant for Versatile Express (vexpress)
Date: Wed, 25 Apr 2012 16:10:25 -0500
Hi,

Vagrant Cascadian wrote:

> +++ debian/control	2012-04-25 13:07:54.000000000 -0700
> @@ -2573,7 +2573,7 @@
[...]
> +Description: Linux 3.2 for ARM Ltd. Versatile Express
> + The Linux kernel 3.2 and modules for use on Support for ARM Ltd.
> + Versatile Express family of processors.

Shouldn't this say "for use on ARM's ..." rather than "for use on
Support"?

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#670462; Package linux-2.6. (Wed, 02 May 2012 06:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 02 May 2012 06:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 670462@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 670462@bugs.debian.org
Subject: linux-2.6: Support new armhf kernel variant for Versatile Express (vexpress)
Date: Tue, 1 May 2012 23:55:56 -0700
The following trimmed down debian/config/armhf/config.vexpress still worked 
for me in qemu (built against 3.2.16-1). It also trimmed out the extraneous 
"Supported" text in the defines file. The control file can be generated, as I 
understand it, so didn't include in this diff.

diff -u linux-2.6-3.2.16/debian/config/armhf/defines linux-2.6-3.2.16/debian/config/armhf/defines
--- linux-2.6-3.2.16/debian/config/armhf/defines
+++ linux-2.6-3.2.16/debian/config/armhf/defines
@@ -2,6 +2,7 @@
 flavours:
  mx5
  omap
+ vexpress
 kernel-arch: arm
 
 [image]
@@ -28,0 +30,8 @@
+
+[vexpress_build]
+image-file: arch/arm/boot/zImage
+
+[vexpress_description]
+hardware: ARM Ltd. Versatile Express
+hardware-long: ARM Ltd. Versatile Express family of processors
+

only in patch2:
unchanged:
--- linux-2.6-3.2.16.orig/debian/config/armhf/config.vexpress
+++ linux-2.6-3.2.16/debian/config/armhf/config.vexpress
@@ -0,0 +1,54 @@
+##
+## file: arch/arm/Kconfig
+##
+## choice: ARM system type
+CONFIG_ARCH_VEXPRESS=y
+## end choice
+
+## arch/arm/mach-vexpress/Kconfig
+CONFIG_ARCH_VEXPRESS_CA9X4=y
+
+CONFIG_LOG_BUF_SHIFT=14
+CONFIG_OPROFILE=m
+
+CONFIG_SMP=y
+CONFIG_VMSPLIT_2G=y
+CONFIG_HOTPLUG_CPU=y
+
+CONFIG_ZBOOT_ROM_TEXT=0x0
+CONFIG_ZBOOT_ROM_BSS=0x0
+
+CONFIG_NEON=y
+
+
+CONFIG_MTD=m
+CONFIG_MTD_CONCAT=m
+CONFIG_MTD_PARTITIONS=m
+CONFIG_MTD_CMDLINE_PARTS=m
+CONFIG_MTD_CHAR=m
+CONFIG_MTD_BLOCK=m
+CONFIG_MTD_CFI=m
+CONFIG_MTD_CFI_INTELEXT=m
+CONFIG_MTD_CFI_AMDSTD=m
+CONFIG_MTD_ARM_INTEGRATOR=m
+CONFIG_MISC_DEVICES=m
+
+CONFIG_NET_ETHERNET=m
+CONFIG_SMSC911X=m
+
+CONFIG_SERIO_AMBAKMI=y
+CONFIG_SERIAL_AMBA_PL011=y
+CONFIG_SERIAL_AMBA_PL011_CONSOLE=y
+
+CONFIG_FB=y
+CONFIG_FB_ARMCLCD=y
+CONFIG_FRAMEBUFFER_CONSOLE=y
+
+CONFIG_SND_ARMAACI=m
+
+CONFIG_USB=m
+CONFIG_USB_ISP1760_HCD=m
+CONFIG_MMC=y
+CONFIG_MMC_ARMMMCI=y
+
+CONFIG_RTC_DRV_PL031=y




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#670462; Package linux-2.6. (Wed, 02 May 2012 14:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 02 May 2012 14:21:07 GMT) Full text and rfc822 format available.

Message #20 received at 670462@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Arnaud Patard <arnaud.patard@rtp-net.org>
Cc: 670462@bugs.debian.org, Vagrant Cascadian <vagrant@freegeek.org>
Subject: Re: Bug#670462: linux-2.6: Support new armhf kernel variant for Versatile Express (vexpress)
Date: Wed, 02 May 2012 15:18:26 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2012-05-01 at 23:55 -0700, Vagrant Cascadian wrote:
> The following trimmed down debian/config/armhf/config.vexpress still worked 
> for me in qemu (built against 3.2.16-1). It also trimmed out the extraneous 
> "Supported" text in the defines file. The control file can be generated, as I 
> understand it, so didn't include in this diff.

Arnaud, can you review this?

Ben.

> diff -u linux-2.6-3.2.16/debian/config/armhf/defines linux-2.6-3.2.16/debian/config/armhf/defines
> --- linux-2.6-3.2.16/debian/config/armhf/defines
> +++ linux-2.6-3.2.16/debian/config/armhf/defines
> @@ -2,6 +2,7 @@
>  flavours:
>   mx5
>   omap
> + vexpress
>  kernel-arch: arm
>  
>  [image]
> @@ -28,0 +30,8 @@
> +
> +[vexpress_build]
> +image-file: arch/arm/boot/zImage
> +
> +[vexpress_description]
> +hardware: ARM Ltd. Versatile Express
> +hardware-long: ARM Ltd. Versatile Express family of processors
> +
> 
> only in patch2:
> unchanged:
> --- linux-2.6-3.2.16.orig/debian/config/armhf/config.vexpress
> +++ linux-2.6-3.2.16/debian/config/armhf/config.vexpress
> @@ -0,0 +1,54 @@
> +##
> +## file: arch/arm/Kconfig
> +##
> +## choice: ARM system type
> +CONFIG_ARCH_VEXPRESS=y
> +## end choice
> +
> +## arch/arm/mach-vexpress/Kconfig
> +CONFIG_ARCH_VEXPRESS_CA9X4=y
> +
> +CONFIG_LOG_BUF_SHIFT=14
> +CONFIG_OPROFILE=m
> +
> +CONFIG_SMP=y
> +CONFIG_VMSPLIT_2G=y
> +CONFIG_HOTPLUG_CPU=y
> +
> +CONFIG_ZBOOT_ROM_TEXT=0x0
> +CONFIG_ZBOOT_ROM_BSS=0x0
> +
> +CONFIG_NEON=y
> +
> +
> +CONFIG_MTD=m
> +CONFIG_MTD_CONCAT=m
> +CONFIG_MTD_PARTITIONS=m
> +CONFIG_MTD_CMDLINE_PARTS=m
> +CONFIG_MTD_CHAR=m
> +CONFIG_MTD_BLOCK=m
> +CONFIG_MTD_CFI=m
> +CONFIG_MTD_CFI_INTELEXT=m
> +CONFIG_MTD_CFI_AMDSTD=m
> +CONFIG_MTD_ARM_INTEGRATOR=m
> +CONFIG_MISC_DEVICES=m
> +
> +CONFIG_NET_ETHERNET=m
> +CONFIG_SMSC911X=m
> +
> +CONFIG_SERIO_AMBAKMI=y
> +CONFIG_SERIAL_AMBA_PL011=y
> +CONFIG_SERIAL_AMBA_PL011_CONSOLE=y
> +
> +CONFIG_FB=y
> +CONFIG_FB_ARMCLCD=y
> +CONFIG_FRAMEBUFFER_CONSOLE=y
> +
> +CONFIG_SND_ARMAACI=m
> +
> +CONFIG_USB=m
> +CONFIG_USB_ISP1760_HCD=m
> +CONFIG_MMC=y
> +CONFIG_MMC_ARMMMCI=y
> +
> +CONFIG_RTC_DRV_PL031=y
> 
> 
> 

-- 
Ben Hutchings
Design a system any fool can use, and only a fool will want to use it.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#670462; Package linux-2.6. (Mon, 07 May 2012 06:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Patard (Rtp) <arnaud.patard@rtp-net.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 May 2012 06:51:06 GMT) Full text and rfc822 format available.

Message #25 received at 670462@bugs.debian.org (full text, mbox):

From: Arnaud Patard (Rtp) <arnaud.patard@rtp-net.org>
To: Vagrant Cascadian <vagrant@freegeek.org>
Cc: 670462@bugs.debian.org
Subject: Re: Bug#670462: linux-2.6: Support new armhf kernel variant for Versatile Express (vexpress)
Date: Mon, 07 May 2012 08:38:27 +0200
Vagrant Cascadian <vagrant@freegeek.org> writes:

Hi.

> The following trimmed down debian/config/armhf/config.vexpress still worked 
> for me in qemu (built against 3.2.16-1). It also trimmed out the extraneous 
> "Supported" text in the defines file. The control file can be generated, as I 
> understand it, so didn't include in this diff.
>
> diff -u linux-2.6-3.2.16/debian/config/armhf/defines linux-2.6-3.2.16/debian/config/armhf/defines
> --- linux-2.6-3.2.16/debian/config/armhf/defines
> +++ linux-2.6-3.2.16/debian/config/armhf/defines
> @@ -2,6 +2,7 @@
>  flavours:
>   mx5
>   omap
> + vexpress
>  kernel-arch: arm
>  
>  [image]
> @@ -28,0 +30,8 @@
> +
> +[vexpress_build]
> +image-file: arch/arm/boot/zImage
> +
> +[vexpress_description]
> +hardware: ARM Ltd. Versatile Express
> +hardware-long: ARM Ltd. Versatile Express family of processors
> +
>
> only in patch2:
> unchanged:
> --- linux-2.6-3.2.16.orig/debian/config/armhf/config.vexpress
> +++ linux-2.6-3.2.16/debian/config/armhf/config.vexpress
> @@ -0,0 +1,54 @@
> +##
> +## file: arch/arm/Kconfig
> +##
> +## choice: ARM system type
> +CONFIG_ARCH_VEXPRESS=y
> +## end choice
> +
> +## arch/arm/mach-vexpress/Kconfig
> +CONFIG_ARCH_VEXPRESS_CA9X4=y
> +
> +CONFIG_LOG_BUF_SHIFT=14

any reason for this change ?

> +CONFIG_OPROFILE=m
> +
> +CONFIG_SMP=y
> +CONFIG_VMSPLIT_2G=y
> +CONFIG_HOTPLUG_CPU=y
> +
> +CONFIG_ZBOOT_ROM_TEXT=0x0
> +CONFIG_ZBOOT_ROM_BSS=0x0
> +
> +CONFIG_NEON=y
> +
> +
> +CONFIG_MTD=m

hm. why is it still enabled ? from what I understand, qemu vexpress doesn't
simulate the flash peripheral. If you want to support something else
than qemu, you're missing some drivers I guess. If you want to support
only qemu vexpress emulation, maybe it worthes to be mentionned in the
description ?

> +CONFIG_MTD_CONCAT=m
> +CONFIG_MTD_PARTITIONS=m
> +CONFIG_MTD_CMDLINE_PARTS=m
> +CONFIG_MTD_CHAR=m
> +CONFIG_MTD_BLOCK=m
> +CONFIG_MTD_CFI=m
> +CONFIG_MTD_CFI_INTELEXT=m
> +CONFIG_MTD_CFI_AMDSTD=m
> +CONFIG_MTD_ARM_INTEGRATOR=m

fwiw, doesn't exist anymore. physmap should be used now.

Nevertheless, I've built tested this configuration and it worked in Qemu
as expected. I'll add that once we agree on the configuration. Also, do
you intend to add support for it into the debian-installer too ?


Thanks,
Arnaud




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#670462; Package linux-2.6. (Mon, 07 May 2012 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 May 2012 16:30:03 GMT) Full text and rfc822 format available.

Message #30 received at 670462@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: Arnaud Patard <arnaud.patard@rtp-net.org>, 670462@bugs.debian.org
Subject: Re: Bug#670462: linux-2.6: Support new armhf kernel variant for Versatile Express (vexpress)
Date: Mon, 7 May 2012 09:28:22 -0700
On Mon, May 07, 2012 at 08:38:27AM +0200, Arnaud Patard wrote:
> Vagrant Cascadian <vagrant@freegeek.org> writes:
> > only in patch2:
> > unchanged:
> > --- linux-2.6-3.2.16.orig/debian/config/armhf/config.vexpress
> > +++ linux-2.6-3.2.16/debian/config/armhf/config.vexpress
> > @@ -0,0 +1,54 @@
> > +##
> > +## file: arch/arm/Kconfig
> > +##
> > +## choice: ARM system type
> > +CONFIG_ARCH_VEXPRESS=y
> > +## end choice
> > +
> > +## arch/arm/mach-vexpress/Kconfig
> > +CONFIG_ARCH_VEXPRESS_CA9X4=y
> > +
> > +CONFIG_LOG_BUF_SHIFT=14
> 
> any reason for this change ?

It was in the default vexpress config shipped upstream in
arch/arm/configs/vexpress_defconfig. it is also present in a couple of the
debian/config/armel/ configs. Honestly, no idea what it actually does, so I'm
not attached to keeping it if it still works without it.


> > +CONFIG_OPROFILE=m
> > +
> > +CONFIG_SMP=y
> > +CONFIG_VMSPLIT_2G=y
> > +CONFIG_HOTPLUG_CPU=y
> > +
> > +CONFIG_ZBOOT_ROM_TEXT=0x0
> > +CONFIG_ZBOOT_ROM_BSS=0x0
> > +
> > +CONFIG_NEON=y
> > +
> > +
> > +CONFIG_MTD=m
> 
> hm. why is it still enabled ? from what I understand, qemu vexpress doesn't
> simulate the flash peripheral. If you want to support something else
> than qemu, you're missing some drivers I guess. If you want to support
> only qemu vexpress emulation, maybe it worthes to be mentionned in the
> description ?

Again, it was part of the vexpress default config shipped in the upstream 
kernel (although i switched it from enabled to a module).

 
> > +CONFIG_MTD_CONCAT=m
> > +CONFIG_MTD_PARTITIONS=m
> > +CONFIG_MTD_CMDLINE_PARTS=m
> > +CONFIG_MTD_CHAR=m
> > +CONFIG_MTD_BLOCK=m
> > +CONFIG_MTD_CFI=m
> > +CONFIG_MTD_CFI_INTELEXT=m
> > +CONFIG_MTD_CFI_AMDSTD=m
> > +CONFIG_MTD_ARM_INTEGRATOR=m
> 
> fwiw, doesn't exist anymore. physmap should be used now.

Same story there, too.

 
> Nevertheless, I've built tested this configuration and it worked in Qemu
> as expected. I'll add that once we agree on the configuration.

Great! Thanks for taking the time to review it.

I'll defer to others on matters of why to enable or disble particular options; 
I just grabbed the default config, tested that it works in qemu, and then 
trimmed out what seemed to be duplicated in other parts of debian/config/.


> Also, do you intend to add support for it into the debian-installer too ?

I think that would be usefuul, and can put some time into that. Though it 
seemed like the first steep would be to get a working kernel shipped.


live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#670462; Package linux-2.6. (Mon, 07 May 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 May 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #35 received at 670462@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Vagrant Cascadian <vagrant@freegeek.org>, 670462@bugs.debian.org
Cc: Arnaud Patard <arnaud.patard@rtp-net.org>
Subject: Re: Bug#670462: linux-2.6: Support new armhf kernel variant for Versatile Express (vexpress)
Date: Mon, 07 May 2012 17:38:44 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2012-05-07 at 09:28 -0700, Vagrant Cascadian wrote:
> On Mon, May 07, 2012 at 08:38:27AM +0200, Arnaud Patard wrote:
> > Vagrant Cascadian <vagrant@freegeek.org> writes:
> > > only in patch2:
> > > unchanged:
> > > --- linux-2.6-3.2.16.orig/debian/config/armhf/config.vexpress
> > > +++ linux-2.6-3.2.16/debian/config/armhf/config.vexpress
> > > @@ -0,0 +1,54 @@
> > > +##
> > > +## file: arch/arm/Kconfig
> > > +##
> > > +## choice: ARM system type
> > > +CONFIG_ARCH_VEXPRESS=y
> > > +## end choice
> > > +
> > > +## arch/arm/mach-vexpress/Kconfig
> > > +CONFIG_ARCH_VEXPRESS_CA9X4=y
> > > +
> > > +CONFIG_LOG_BUF_SHIFT=14
> > 
> > any reason for this change ?
> 
> It was in the default vexpress config shipped upstream in
> arch/arm/configs/vexpress_defconfig. it is also present in a couple of the
> debian/config/armel/ configs. Honestly, no idea what it actually does, so I'm
> not attached to keeping it if it still works without it.
[...]

This sets the default kernel log buffer size, as a power of 2.  The
general default size if 128 KB (CONFIG_LOG_BUF_SHIFT=17) and this
reduces it to 16 KB.

I don't believe this is right for vexpress and I'm not sure it's right
for the other two.

Ben.

-- 
Ben Hutchings
Hoare's Law of Large Problems:
        Inside every large problem is a small problem struggling to get out.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Arnaud Patard <rtp-guest@alioth.debian.org> to control@bugs.debian.org. (Sat, 12 May 2012 10:24:37 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sat, 12 May 2012 21:41:55 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant@debian.org>:
Bug acknowledged by developer. (Sat, 12 May 2012 21:42:23 GMT) Full text and rfc822 format available.

Message #42 received at 670462-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 670462-close@bugs.debian.org
Subject: Bug#670462: fixed in linux-2.6 3.2.17-1
Date: Sat, 12 May 2012 21:34:48 +0000
Source: linux-2.6
Source-Version: 3.2.17-1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_3.2.17-1.diff.gz
  to main/l/linux-2.6/linux-2.6_3.2.17-1.diff.gz
linux-2.6_3.2.17-1.dsc
  to main/l/linux-2.6/linux-2.6_3.2.17-1.dsc
linux-2.6_3.2.17.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_3.2.17.orig.tar.gz
linux-doc-3.2_3.2.17-1_all.deb
  to main/l/linux-2.6/linux-doc-3.2_3.2.17-1_all.deb
linux-manual-3.2_3.2.17-1_all.deb
  to main/l/linux-2.6/linux-manual-3.2_3.2.17-1_all.deb
linux-patch-debian-3.2_3.2.17-1_all.deb
  to main/l/linux-2.6/linux-patch-debian-3.2_3.2.17-1_all.deb
linux-source-3.2_3.2.17-1_all.deb
  to main/l/linux-2.6/linux-source-3.2_3.2.17-1_all.deb
linux-support-3.2.0-2_3.2.17-1_all.deb
  to main/l/linux-2.6/linux-support-3.2.0-2_3.2.17-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670462@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 12 May 2012 15:29:09 +0100
Source: linux-2.6
Binary: linux-source-3.2 linux-doc-3.2 linux-manual-3.2 linux-patch-debian-3.2 linux-support-3.2.0-2 linux-libc-dev linux-headers-3.2.0-2-all linux-headers-3.2.0-2-all-alpha linux-headers-3.2.0-2-common linux-image-3.2.0-2-alpha-generic linux-headers-3.2.0-2-alpha-generic linux-image-3.2.0-2-alpha-smp linux-headers-3.2.0-2-alpha-smp linux-image-3.2.0-2-alpha-legacy linux-headers-3.2.0-2-alpha-legacy linux-headers-3.2.0-2-all-amd64 kernel-image-3.2.0-2-amd64-di nic-modules-3.2.0-2-amd64-di nic-extra-modules-3.2.0-2-amd64-di nic-wireless-modules-3.2.0-2-amd64-di nic-shared-modules-3.2.0-2-amd64-di serial-modules-3.2.0-2-amd64-di usb-serial-modules-3.2.0-2-amd64-di ppp-modules-3.2.0-2-amd64-di pata-modules-3.2.0-2-amd64-di cdrom-core-modules-3.2.0-2-amd64-di firewire-core-modules-3.2.0-2-amd64-di scsi-core-modules-3.2.0-2-amd64-di scsi-modules-3.2.0-2-amd64-di scsi-common-modules-3.2.0-2-amd64-di scsi-extra-modules-3.2.0-2-amd64-di plip-modules-3.2.0-2-amd64-di
 floppy-modules-3.2.0-2-amd64-di loop-modules-3.2.0-2-amd64-di btrfs-modules-3.2.0-2-amd64-di ext2-modules-3.2.0-2-amd64-di ext3-modules-3.2.0-2-amd64-di ext4-modules-3.2.0-2-amd64-di isofs-modules-3.2.0-2-amd64-di jfs-modules-3.2.0-2-amd64-di ntfs-modules-3.2.0-2-amd64-di reiserfs-modules-3.2.0-2-amd64-di xfs-modules-3.2.0-2-amd64-di fat-modules-3.2.0-2-amd64-di ufs-modules-3.2.0-2-amd64-di qnx4-modules-3.2.0-2-amd64-di md-modules-3.2.0-2-amd64-di multipath-modules-3.2.0-2-amd64-di usb-modules-3.2.0-2-amd64-di usb-storage-modules-3.2.0-2-amd64-di pcmcia-storage-modules-3.2.0-2-amd64-di fb-modules-3.2.0-2-amd64-di input-modules-3.2.0-2-amd64-di event-modules-3.2.0-2-amd64-di mouse-modules-3.2.0-2-amd64-di irda-modules-3.2.0-2-amd64-di parport-modules-3.2.0-2-amd64-di nic-pcmcia-modules-3.2.0-2-amd64-di pcmcia-modules-3.2.0-2-amd64-di nic-usb-modules-3.2.0-2-amd64-di sata-modules-3.2.0-2-amd64-di core-modules-3.2.0-2-amd64-di acpi-modules-3.2.0-2-amd64-di
 i2c-modules-3.2.0-2-amd64-di crc-modules-3.2.0-2-amd64-di crypto-modules-3.2.0-2-amd64-di crypto-dm-modules-3.2.0-2-amd64-di efi-modules-3.2.0-2-amd64-di ata-modules-3.2.0-2-amd64-di mmc-core-modules-3.2.0-2-amd64-di mmc-modules-3.2.0-2-amd64-di nbd-modules-3.2.0-2-amd64-di squashfs-modules-3.2.0-2-amd64-di speakup-modules-3.2.0-2-amd64-di virtio-modules-3.2.0-2-amd64-di uinput-modules-3.2.0-2-amd64-di sound-modules-3.2.0-2-amd64-di zlib-modules-3.2.0-2-amd64-di linux-image-3.2.0-2-amd64 linux-headers-3.2.0-2-amd64 linux-image-3.2.0-2-amd64-dbg xen-linux-system-3.2.0-2-amd64 linux-headers-3.2.0-2-common-rt linux-image-3.2.0-2-rt-amd64 linux-headers-3.2.0-2-rt-amd64 linux-image-3.2.0-2-rt-amd64-dbg linux-headers-3.2.0-2-all-armel kernel-image-3.2.0-2-iop32x-di nic-modules-3.2.0-2-iop32x-di nic-shared-modules-3.2.0-2-iop32x-di usb-serial-modules-3.2.0-2-iop32x-di ppp-modules-3.2.0-2-iop32x-di pata-modules-3.2.0-2-iop32x-di cdrom-core-modules-3.2.0-2-iop32x-di
 scsi-core-modules-3.2.0-2-iop32x-di loop-modules-3.2.0-2-iop32x-di btrfs-modules-3.2.0-2-iop32x-di ext2-modules-3.2.0-2-iop32x-di ext3-modules-3.2.0-2-iop32x-di ext4-modules-3.2.0-2-iop32x-di isofs-modules-3.2.0-2-iop32x-di jffs2-modules-3.2.0-2-iop32x-di jfs-modules-3.2.0-2-iop32x-di reiserfs-modules-3.2.0-2-iop32x-di fat-modules-3.2.0-2-iop32x-di md-modules-3.2.0-2-iop32x-di multipath-modules-3.2.0-2-iop32x-di usb-modules-3.2.0-2-iop32x-di usb-storage-modules-3.2.0-2-iop32x-di event-modules-3.2.0-2-iop32x-di nic-usb-modules-3.2.0-2-iop32x-di sata-modules-3.2.0-2-iop32x-di core-modules-3.2.0-2-iop32x-di crc-modules-3.2.0-2-iop32x-di crypto-modules-3.2.0-2-iop32x-di crypto-dm-modules-3.2.0-2-iop32x-di ata-modules-3.2.0-2-iop32x-di nbd-modules-3.2.0-2-iop32x-di squashfs-modules-3.2.0-2-iop32x-di zlib-modules-3.2.0-2-iop32x-di kernel-image-3.2.0-2-kirkwood-di nic-modules-3.2.0-2-kirkwood-di nic-shared-modules-3.2.0-2-kirkwood-di usb-serial-modules-3.2.0-2-kirkwood-di
 ppp-modules-3.2.0-2-kirkwood-di cdrom-core-modules-3.2.0-2-kirkwood-di scsi-core-modules-3.2.0-2-kirkwood-di loop-modules-3.2.0-2-kirkwood-di btrfs-modules-3.2.0-2-kirkwood-di ext2-modules-3.2.0-2-kirkwood-di ext3-modules-3.2.0-2-kirkwood-di ext4-modules-3.2.0-2-kirkwood-di isofs-modules-3.2.0-2-kirkwood-di jfs-modules-3.2.0-2-kirkwood-di reiserfs-modules-3.2.0-2-kirkwood-di fat-modules-3.2.0-2-kirkwood-di minix-modules-3.2.0-2-kirkwood-di md-modules-3.2.0-2-kirkwood-di multipath-modules-3.2.0-2-kirkwood-di usb-modules-3.2.0-2-kirkwood-di usb-storage-modules-3.2.0-2-kirkwood-di fb-modules-3.2.0-2-kirkwood-di input-modules-3.2.0-2-kirkwood-di event-modules-3.2.0-2-kirkwood-di mouse-modules-3.2.0-2-kirkwood-di nic-usb-modules-3.2.0-2-kirkwood-di sata-modules-3.2.0-2-kirkwood-di core-modules-3.2.0-2-kirkwood-di crc-modules-3.2.0-2-kirkwood-di crypto-modules-3.2.0-2-kirkwood-di crypto-dm-modules-3.2.0-2-kirkwood-di mmc-modules-3.2.0-2-kirkwood-di
 nbd-modules-3.2.0-2-kirkwood-di squashfs-modules-3.2.0-2-kirkwood-di uinput-modules-3.2.0-2-kirkwood-di leds-modules-3.2.0-2-kirkwood-di kernel-image-3.2.0-2-orion5x-di nic-modules-3.2.0-2-orion5x-di nic-shared-modules-3.2.0-2-orion5x-di usb-serial-modules-3.2.0-2-orion5x-di ppp-modules-3.2.0-2-orion5x-di cdrom-core-modules-3.2.0-2-orion5x-di scsi-core-modules-3.2.0-2-orion5x-di loop-modules-3.2.0-2-orion5x-di btrfs-modules-3.2.0-2-orion5x-di ext2-modules-3.2.0-2-orion5x-di ext3-modules-3.2.0-2-orion5x-di ext4-modules-3.2.0-2-orion5x-di isofs-modules-3.2.0-2-orion5x-di jffs2-modules-3.2.0-2-orion5x-di jfs-modules-3.2.0-2-orion5x-di reiserfs-modules-3.2.0-2-orion5x-di fat-modules-3.2.0-2-orion5x-di minix-modules-3.2.0-2-orion5x-di md-modules-3.2.0-2-orion5x-di multipath-modules-3.2.0-2-orion5x-di usb-modules-3.2.0-2-orion5x-di usb-storage-modules-3.2.0-2-orion5x-di event-modules-3.2.0-2-orion5x-di nic-usb-modules-3.2.0-2-orion5x-di sata-modules-3.2.0-2-orion5x-di
 core-modules-3.2.0-2-orion5x-di crc-modules-3.2.0-2-orion5x-di crypto-modules-3.2.0-2-orion5x-di crypto-dm-modules-3.2.0-2-orion5x-di nbd-modules-3.2.0-2-orion5x-di squashfs-modules-3.2.0-2-orion5x-di zlib-modules-3.2.0-2-orion5x-di kernel-image-3.2.0-2-versatile-di nic-modules-3.2.0-2-versatile-di nic-shared-modules-3.2.0-2-versatile-di usb-serial-modules-3.2.0-2-versatile-di ppp-modules-3.2.0-2-versatile-di cdrom-core-modules-3.2.0-2-versatile-di scsi-core-modules-3.2.0-2-versatile-di scsi-common-modules-3.2.0-2-versatile-di loop-modules-3.2.0-2-versatile-di btrfs-modules-3.2.0-2-versatile-di ext2-modules-3.2.0-2-versatile-di ext3-modules-3.2.0-2-versatile-di ext4-modules-3.2.0-2-versatile-di isofs-modules-3.2.0-2-versatile-di reiserfs-modules-3.2.0-2-versatile-di fat-modules-3.2.0-2-versatile-di md-modules-3.2.0-2-versatile-di multipath-modules-3.2.0-2-versatile-di usb-modules-3.2.0-2-versatile-di usb-storage-modules-3.2.0-2-versatile-di
 nic-usb-modules-3.2.0-2-versatile-di sata-modules-3.2.0-2-versatile-di core-modules-3.2.0-2-versatile-di crc-modules-3.2.0-2-versatile-di crypto-modules-3.2.0-2-versatile-di crypto-dm-modules-3.2.0-2-versatile-di nbd-modules-3.2.0-2-versatile-di squashfs-modules-3.2.0-2-versatile-di virtio-modules-3.2.0-2-versatile-di zlib-modules-3.2.0-2-versatile-di linux-image-3.2.0-2-iop32x linux-headers-3.2.0-2-iop32x linux-image-3.2.0-2-ixp4xx linux-headers-3.2.0-2-ixp4xx linux-image-3.2.0-2-kirkwood linux-headers-3.2.0-2-kirkwood linux-image-3.2.0-2-mv78xx0 linux-headers-3.2.0-2-mv78xx0 linux-image-3.2.0-2-orion5x linux-headers-3.2.0-2-orion5x linux-image-3.2.0-2-versatile linux-headers-3.2.0-2-versatile linux-headers-3.2.0-2-all-armhf kernel-image-3.2.0-2-mx5-di nic-modules-3.2.0-2-mx5-di nic-shared-modules-3.2.0-2-mx5-di scsi-core-modules-3.2.0-2-mx5-di loop-modules-3.2.0-2-mx5-di btrfs-modules-3.2.0-2-mx5-di ext2-modules-3.2.0-2-mx5-di ext3-modules-3.2.0-2-mx5-di
 ext4-modules-3.2.0-2-mx5-di isofs-modules-3.2.0-2-mx5-di jfs-modules-3.2.0-2-mx5-di reiserfs-modules-3.2.0-2-mx5-di fat-modules-3.2.0-2-mx5-di minix-modules-3.2.0-2-mx5-di md-modules-3.2.0-2-mx5-di multipath-modules-3.2.0-2-mx5-di usb-storage-modules-3.2.0-2-mx5-di input-modules-3.2.0-2-mx5-di nic-usb-modules-3.2.0-2-mx5-di core-modules-3.2.0-2-mx5-di crc-modules-3.2.0-2-mx5-di crypto-modules-3.2.0-2-mx5-di crypto-dm-modules-3.2.0-2-mx5-di mmc-modules-3.2.0-2-mx5-di nbd-modules-3.2.0-2-mx5-di squashfs-modules-3.2.0-2-mx5-di uinput-modules-3.2.0-2-mx5-di linux-image-3.2.0-2-mx5 linux-headers-3.2.0-2-mx5 linux-image-3.2.0-2-omap linux-headers-3.2.0-2-omap linux-image-3.2.0-2-vexpress linux-headers-3.2.0-2-vexpress linux-headers-3.2.0-2-all-hppa kernel-image-3.2.0-2-parisc-di nic-modules-3.2.0-2-parisc-di ppp-modules-3.2.0-2-parisc-di pata-modules-3.2.0-2-parisc-di cdrom-core-modules-3.2.0-2-parisc-di scsi-core-modules-3.2.0-2-parisc-di scsi-modules-3.2.0-2-parisc-di
 loop-modules-3.2.0-2-parisc-di ipv6-modules-3.2.0-2-parisc-di btrfs-modules-3.2.0-2-parisc-di ext3-modules-3.2.0-2-parisc-di ext4-modules-3.2.0-2-parisc-di fat-modules-3.2.0-2-parisc-di md-modules-3.2.0-2-parisc-di multipath-modules-3.2.0-2-parisc-di usb-modules-3.2.0-2-parisc-di usb-storage-modules-3.2.0-2-parisc-di input-modules-3.2.0-2-parisc-di crypto-modules-3.2.0-2-parisc-di crypto-dm-modules-3.2.0-2-parisc-di nbd-modules-3.2.0-2-parisc-di zlib-modules-3.2.0-2-parisc-di kernel-image-3.2.0-2-parisc64-di nic-modules-3.2.0-2-parisc64-di ppp-modules-3.2.0-2-parisc64-di pata-modules-3.2.0-2-parisc64-di cdrom-core-modules-3.2.0-2-parisc64-di scsi-core-modules-3.2.0-2-parisc64-di scsi-modules-3.2.0-2-parisc64-di loop-modules-3.2.0-2-parisc64-di ipv6-modules-3.2.0-2-parisc64-di btrfs-modules-3.2.0-2-parisc64-di ext3-modules-3.2.0-2-parisc64-di ext4-modules-3.2.0-2-parisc64-di fat-modules-3.2.0-2-parisc64-di md-modules-3.2.0-2-parisc64-di
 multipath-modules-3.2.0-2-parisc64-di usb-modules-3.2.0-2-parisc64-di usb-storage-modules-3.2.0-2-parisc64-di input-modules-3.2.0-2-parisc64-di crypto-modules-3.2.0-2-parisc64-di crypto-dm-modules-3.2.0-2-parisc64-di nbd-modules-3.2.0-2-parisc64-di zlib-modules-3.2.0-2-parisc64-di linux-image-3.2.0-2-parisc linux-headers-3.2.0-2-parisc linux-image-3.2.0-2-parisc-smp linux-headers-3.2.0-2-parisc-smp linux-image-3.2.0-2-parisc64 linux-headers-3.2.0-2-parisc64 linux-image-3.2.0-2-parisc64-smp linux-headers-3.2.0-2-parisc64-smp linux-headers-3.2.0-2-all-i386 kernel-image-3.2.0-2-486-di nic-modules-3.2.0-2-486-di nic-extra-modules-3.2.0-2-486-di nic-wireless-modules-3.2.0-2-486-di nic-shared-modules-3.2.0-2-486-di serial-modules-3.2.0-2-486-di usb-serial-modules-3.2.0-2-486-di ppp-modules-3.2.0-2-486-di pata-modules-3.2.0-2-486-di cdrom-core-modules-3.2.0-2-486-di firewire-core-modules-3.2.0-2-486-di scsi-core-modules-3.2.0-2-486-di scsi-modules-3.2.0-2-486-di
 scsi-common-modules-3.2.0-2-486-di scsi-extra-modules-3.2.0-2-486-di plip-modules-3.2.0-2-486-di floppy-modules-3.2.0-2-486-di loop-modules-3.2.0-2-486-di btrfs-modules-3.2.0-2-486-di ext2-modules-3.2.0-2-486-di ext3-modules-3.2.0-2-486-di ext4-modules-3.2.0-2-486-di isofs-modules-3.2.0-2-486-di jfs-modules-3.2.0-2-486-di ntfs-modules-3.2.0-2-486-di reiserfs-modules-3.2.0-2-486-di xfs-modules-3.2.0-2-486-di fat-modules-3.2.0-2-486-di ufs-modules-3.2.0-2-486-di qnx4-modules-3.2.0-2-486-di md-modules-3.2.0-2-486-di multipath-modules-3.2.0-2-486-di usb-modules-3.2.0-2-486-di usb-storage-modules-3.2.0-2-486-di pcmcia-storage-modules-3.2.0-2-486-di fb-modules-3.2.0-2-486-di input-modules-3.2.0-2-486-di event-modules-3.2.0-2-486-di mouse-modules-3.2.0-2-486-di irda-modules-3.2.0-2-486-di parport-modules-3.2.0-2-486-di nic-pcmcia-modules-3.2.0-2-486-di pcmcia-modules-3.2.0-2-486-di nic-usb-modules-3.2.0-2-486-di sata-modules-3.2.0-2-486-di core-modules-3.2.0-2-486-di
 acpi-modules-3.2.0-2-486-di i2c-modules-3.2.0-2-486-di crc-modules-3.2.0-2-486-di crypto-modules-3.2.0-2-486-di crypto-dm-modules-3.2.0-2-486-di efi-modules-3.2.0-2-486-di ata-modules-3.2.0-2-486-di mmc-core-modules-3.2.0-2-486-di mmc-modules-3.2.0-2-486-di nbd-modules-3.2.0-2-486-di squashfs-modules-3.2.0-2-486-di speakup-modules-3.2.0-2-486-di virtio-modules-3.2.0-2-486-di uinput-modules-3.2.0-2-486-di sound-modules-3.2.0-2-486-di zlib-modules-3.2.0-2-486-di kernel-image-3.2.0-2-686-pae-di nic-modules-3.2.0-2-686-pae-di nic-extra-modules-3.2.0-2-686-pae-di nic-wireless-modules-3.2.0-2-686-pae-di nic-shared-modules-3.2.0-2-686-pae-di serial-modules-3.2.0-2-686-pae-di usb-serial-modules-3.2.0-2-686-pae-di ppp-modules-3.2.0-2-686-pae-di pata-modules-3.2.0-2-686-pae-di cdrom-core-modules-3.2.0-2-686-pae-di firewire-core-modules-3.2.0-2-686-pae-di scsi-core-modules-3.2.0-2-686-pae-di scsi-modules-3.2.0-2-686-pae-di scsi-common-modules-3.2.0-2-686-pae-di
 scsi-extra-modules-3.2.0-2-686-pae-di plip-modules-3.2.0-2-686-pae-di floppy-modules-3.2.0-2-686-pae-di loop-modules-3.2.0-2-686-pae-di btrfs-modules-3.2.0-2-686-pae-di ext2-modules-3.2.0-2-686-pae-di ext3-modules-3.2.0-2-686-pae-di ext4-modules-3.2.0-2-686-pae-di isofs-modules-3.2.0-2-686-pae-di jfs-modules-3.2.0-2-686-pae-di ntfs-modules-3.2.0-2-686-pae-di reiserfs-modules-3.2.0-2-686-pae-di xfs-modules-3.2.0-2-686-pae-di fat-modules-3.2.0-2-686-pae-di ufs-modules-3.2.0-2-686-pae-di qnx4-modules-3.2.0-2-686-pae-di md-modules-3.2.0-2-686-pae-di multipath-modules-3.2.0-2-686-pae-di usb-modules-3.2.0-2-686-pae-di usb-storage-modules-3.2.0-2-686-pae-di pcmcia-storage-modules-3.2.0-2-686-pae-di fb-modules-3.2.0-2-686-pae-di input-modules-3.2.0-2-686-pae-di event-modules-3.2.0-2-686-pae-di mouse-modules-3.2.0-2-686-pae-di irda-modules-3.2.0-2-686-pae-di parport-modules-3.2.0-2-686-pae-di nic-pcmcia-modules-3.2.0-2-686-pae-di pcmcia-modules-3.2.0-2-686-pae-di
 nic-usb-modules-3.2.0-2-686-pae-di sata-modules-3.2.0-2-686-pae-di core-modules-3.2.0-2-686-pae-di acpi-modules-3.2.0-2-686-pae-di i2c-modules-3.2.0-2-686-pae-di crc-modules-3.2.0-2-686-pae-di crypto-modules-3.2.0-2-686-pae-di crypto-dm-modules-3.2.0-2-686-pae-di efi-modules-3.2.0-2-686-pae-di ata-modules-3.2.0-2-686-pae-di mmc-core-modules-3.2.0-2-686-pae-di mmc-modules-3.2.0-2-686-pae-di nbd-modules-3.2.0-2-686-pae-di squashfs-modules-3.2.0-2-686-pae-di speakup-modules-3.2.0-2-686-pae-di virtio-modules-3.2.0-2-686-pae-di uinput-modules-3.2.0-2-686-pae-di sound-modules-3.2.0-2-686-pae-di zlib-modules-3.2.0-2-686-pae-di linux-image-3.2.0-2-486 linux-headers-3.2.0-2-486 linux-image-3.2.0-2-686-pae linux-headers-3.2.0-2-686-pae linux-image-3.2.0-2-686-pae-dbg xen-linux-system-3.2.0-2-686-pae linux-image-3.2.0-2-rt-686-pae linux-headers-3.2.0-2-rt-686-pae linux-image-3.2.0-2-rt-686-pae-dbg linux-headers-3.2.0-2-all-ia64 kernel-image-3.2.0-2-itanium-di
 nic-modules-3.2.0-2-itanium-di nic-shared-modules-3.2.0-2-itanium-di serial-modules-3.2.0-2-itanium-di ppp-modules-3.2.0-2-itanium-di ide-modules-3.2.0-2-itanium-di pata-modules-3.2.0-2-itanium-di ide-core-modules-3.2.0-2-itanium-di cdrom-core-modules-3.2.0-2-itanium-di firewire-core-modules-3.2.0-2-itanium-di scsi-core-modules-3.2.0-2-itanium-di scsi-modules-3.2.0-2-itanium-di plip-modules-3.2.0-2-itanium-di loop-modules-3.2.0-2-itanium-di ipv6-modules-3.2.0-2-itanium-di btrfs-modules-3.2.0-2-itanium-di ext2-modules-3.2.0-2-itanium-di ext3-modules-3.2.0-2-itanium-di ext4-modules-3.2.0-2-itanium-di isofs-modules-3.2.0-2-itanium-di jfs-modules-3.2.0-2-itanium-di ntfs-modules-3.2.0-2-itanium-di reiserfs-modules-3.2.0-2-itanium-di xfs-modules-3.2.0-2-itanium-di fat-modules-3.2.0-2-itanium-di ufs-modules-3.2.0-2-itanium-di md-modules-3.2.0-2-itanium-di multipath-modules-3.2.0-2-itanium-di usb-modules-3.2.0-2-itanium-di usb-storage-modules-3.2.0-2-itanium-di
 fb-modules-3.2.0-2-itanium-di input-modules-3.2.0-2-itanium-di event-modules-3.2.0-2-itanium-di mouse-modules-3.2.0-2-itanium-di irda-modules-3.2.0-2-itanium-di parport-modules-3.2.0-2-itanium-di pcmcia-modules-3.2.0-2-itanium-di nic-usb-modules-3.2.0-2-itanium-di sata-modules-3.2.0-2-itanium-di core-modules-3.2.0-2-itanium-di crc-modules-3.2.0-2-itanium-di crypto-modules-3.2.0-2-itanium-di crypto-dm-modules-3.2.0-2-itanium-di efi-modules-3.2.0-2-itanium-di ata-modules-3.2.0-2-itanium-di nbd-modules-3.2.0-2-itanium-di squashfs-modules-3.2.0-2-itanium-di uinput-modules-3.2.0-2-itanium-di zlib-modules-3.2.0-2-itanium-di sn-modules-3.2.0-2-itanium-di linux-image-3.2.0-2-itanium linux-headers-3.2.0-2-itanium linux-image-3.2.0-2-mckinley linux-headers-3.2.0-2-mckinley linux-headers-3.2.0-2-all-m68k kernel-image-3.2.0-2-amiga-di nic-shared-modules-3.2.0-2-amiga-di ppp-modules-3.2.0-2-amiga-di cdrom-core-modules-3.2.0-2-amiga-di scsi-modules-3.2.0-2-amiga-di
 btrfs-modules-3.2.0-2-amiga-di isofs-modules-3.2.0-2-amiga-di jfs-modules-3.2.0-2-amiga-di reiserfs-modules-3.2.0-2-amiga-di fat-modules-3.2.0-2-amiga-di md-modules-3.2.0-2-amiga-di crypto-modules-3.2.0-2-amiga-di nbd-modules-3.2.0-2-amiga-di squashfs-modules-3.2.0-2-amiga-di zlib-modules-3.2.0-2-amiga-di kernel-image-3.2.0-2-atari-di nic-shared-modules-3.2.0-2-atari-di ppp-modules-3.2.0-2-atari-di cdrom-core-modules-3.2.0-2-atari-di scsi-modules-3.2.0-2-atari-di btrfs-modules-3.2.0-2-atari-di isofs-modules-3.2.0-2-atari-di jfs-modules-3.2.0-2-atari-di reiserfs-modules-3.2.0-2-atari-di fat-modules-3.2.0-2-atari-di md-modules-3.2.0-2-atari-di crypto-modules-3.2.0-2-atari-di nbd-modules-3.2.0-2-atari-di squashfs-modules-3.2.0-2-atari-di zlib-modules-3.2.0-2-atari-di kernel-image-3.2.0-2-mac-di nic-shared-modules-3.2.0-2-mac-di ppp-modules-3.2.0-2-mac-di cdrom-core-modules-3.2.0-2-mac-di scsi-modules-3.2.0-2-mac-di btrfs-modules-3.2.0-2-mac-di
 isofs-modules-3.2.0-2-mac-di jfs-modules-3.2.0-2-mac-di reiserfs-modules-3.2.0-2-mac-di fat-modules-3.2.0-2-mac-di md-modules-3.2.0-2-mac-di crypto-modules-3.2.0-2-mac-di nbd-modules-3.2.0-2-mac-di squashfs-modules-3.2.0-2-mac-di zlib-modules-3.2.0-2-mac-di linux-image-3.2.0-2-amiga linux-headers-3.2.0-2-amiga linux-image-3.2.0-2-atari linux-headers-3.2.0-2-atari linux-image-3.2.0-2-bvme6000 linux-headers-3.2.0-2-bvme6000 linux-image-3.2.0-2-mac linux-headers-3.2.0-2-mac linux-image-3.2.0-2-mvme147 linux-headers-3.2.0-2-mvme147 linux-image-3.2.0-2-mvme16x linux-headers-3.2.0-2-mvme16x linux-headers-3.2.0-2-all-mips kernel-image-3.2.0-2-sb1-bcm91250a-di nic-shared-modules-3.2.0-2-sb1-bcm91250a-di ppp-modules-3.2.0-2-sb1-bcm91250a-di cdrom-core-modules-3.2.0-2-sb1-bcm91250a-di scsi-core-modules-3.2.0-2-sb1-bcm91250a-di scsi-modules-3.2.0-2-sb1-bcm91250a-di scsi-common-modules-3.2.0-2-sb1-bcm91250a-di loop-modules-3.2.0-2-sb1-bcm91250a-di
 ipv6-modules-3.2.0-2-sb1-bcm91250a-di btrfs-modules-3.2.0-2-sb1-bcm91250a-di isofs-modules-3.2.0-2-sb1-bcm91250a-di jfs-modules-3.2.0-2-sb1-bcm91250a-di reiserfs-modules-3.2.0-2-sb1-bcm91250a-di xfs-modules-3.2.0-2-sb1-bcm91250a-di fat-modules-3.2.0-2-sb1-bcm91250a-di md-modules-3.2.0-2-sb1-bcm91250a-di multipath-modules-3.2.0-2-sb1-bcm91250a-di usb-modules-3.2.0-2-sb1-bcm91250a-di usb-storage-modules-3.2.0-2-sb1-bcm91250a-di fb-modules-3.2.0-2-sb1-bcm91250a-di input-modules-3.2.0-2-sb1-bcm91250a-di sata-modules-3.2.0-2-sb1-bcm91250a-di crypto-modules-3.2.0-2-sb1-bcm91250a-di crypto-dm-modules-3.2.0-2-sb1-bcm91250a-di nbd-modules-3.2.0-2-sb1-bcm91250a-di squashfs-modules-3.2.0-2-sb1-bcm91250a-di rtc-modules-3.2.0-2-sb1-bcm91250a-di zlib-modules-3.2.0-2-sb1-bcm91250a-di kernel-image-3.2.0-2-r4k-ip22-di nic-shared-modules-3.2.0-2-r4k-ip22-di loop-modules-3.2.0-2-r4k-ip22-di ipv6-modules-3.2.0-2-r4k-ip22-di btrfs-modules-3.2.0-2-r4k-ip22-di
 isofs-modules-3.2.0-2-r4k-ip22-di jfs-modules-3.2.0-2-r4k-ip22-di reiserfs-modules-3.2.0-2-r4k-ip22-di xfs-modules-3.2.0-2-r4k-ip22-di md-modules-3.2.0-2-r4k-ip22-di multipath-modules-3.2.0-2-r4k-ip22-di crypto-modules-3.2.0-2-r4k-ip22-di crypto-dm-modules-3.2.0-2-r4k-ip22-di nbd-modules-3.2.0-2-r4k-ip22-di squashfs-modules-3.2.0-2-r4k-ip22-di zlib-modules-3.2.0-2-r4k-ip22-di kernel-image-3.2.0-2-r5k-ip32-di nic-shared-modules-3.2.0-2-r5k-ip32-di loop-modules-3.2.0-2-r5k-ip32-di ipv6-modules-3.2.0-2-r5k-ip32-di btrfs-modules-3.2.0-2-r5k-ip32-di isofs-modules-3.2.0-2-r5k-ip32-di jfs-modules-3.2.0-2-r5k-ip32-di reiserfs-modules-3.2.0-2-r5k-ip32-di xfs-modules-3.2.0-2-r5k-ip32-di md-modules-3.2.0-2-r5k-ip32-di multipath-modules-3.2.0-2-r5k-ip32-di crypto-modules-3.2.0-2-r5k-ip32-di crypto-dm-modules-3.2.0-2-r5k-ip32-di nbd-modules-3.2.0-2-r5k-ip32-di squashfs-modules-3.2.0-2-r5k-ip32-di zlib-modules-3.2.0-2-r5k-ip32-di kernel-image-3.2.0-2-4kc-malta-di
 ppp-modules-3.2.0-2-4kc-malta-di cdrom-core-modules-3.2.0-2-4kc-malta-di loop-modules-3.2.0-2-4kc-malta-di ipv6-modules-3.2.0-2-4kc-malta-di btrfs-modules-3.2.0-2-4kc-malta-di isofs-modules-3.2.0-2-4kc-malta-di jfs-modules-3.2.0-2-4kc-malta-di reiserfs-modules-3.2.0-2-4kc-malta-di xfs-modules-3.2.0-2-4kc-malta-di fat-modules-3.2.0-2-4kc-malta-di md-modules-3.2.0-2-4kc-malta-di multipath-modules-3.2.0-2-4kc-malta-di usb-modules-3.2.0-2-4kc-malta-di usb-storage-modules-3.2.0-2-4kc-malta-di input-modules-3.2.0-2-4kc-malta-di sata-modules-3.2.0-2-4kc-malta-di crypto-modules-3.2.0-2-4kc-malta-di crypto-dm-modules-3.2.0-2-4kc-malta-di nbd-modules-3.2.0-2-4kc-malta-di squashfs-modules-3.2.0-2-4kc-malta-di virtio-modules-3.2.0-2-4kc-malta-di zlib-modules-3.2.0-2-4kc-malta-di linux-image-3.2.0-2-r4k-ip22 linux-headers-3.2.0-2-r4k-ip22 linux-image-3.2.0-2-r5k-ip32 linux-headers-3.2.0-2-r5k-ip32 linux-image-3.2.0-2-sb1-bcm91250a linux-headers-3.2.0-2-sb1-bcm91250a
 linux-image-3.2.0-2-sb1a-bcm91480b linux-headers-3.2.0-2-sb1a-bcm91480b linux-image-3.2.0-2-4kc-malta linux-headers-3.2.0-2-4kc-malta linux-image-3.2.0-2-5kc-malta linux-headers-3.2.0-2-5kc-malta linux-image-3.2.0-2-octeon linux-headers-3.2.0-2-octeon linux-headers-3.2.0-2-all-mipsel kernel-image-3.2.0-2-r5k-cobalt-di nic-shared-modules-3.2.0-2-r5k-cobalt-di ppp-modules-3.2.0-2-r5k-cobalt-di loop-modules-3.2.0-2-r5k-cobalt-di ipv6-modules-3.2.0-2-r5k-cobalt-di btrfs-modules-3.2.0-2-r5k-cobalt-di jfs-modules-3.2.0-2-r5k-cobalt-di reiserfs-modules-3.2.0-2-r5k-cobalt-di xfs-modules-3.2.0-2-r5k-cobalt-di fat-modules-3.2.0-2-r5k-cobalt-di nfs-modules-3.2.0-2-r5k-cobalt-di md-modules-3.2.0-2-r5k-cobalt-di multipath-modules-3.2.0-2-r5k-cobalt-di crypto-modules-3.2.0-2-r5k-cobalt-di crypto-dm-modules-3.2.0-2-r5k-cobalt-di nbd-modules-3.2.0-2-r5k-cobalt-di squashfs-modules-3.2.0-2-r5k-cobalt-di zlib-modules-3.2.0-2-r5k-cobalt-di kernel-image-3.2.0-2-loongson-2f-di
 nic-modules-3.2.0-2-loongson-2f-di nic-shared-modules-3.2.0-2-loongson-2f-di ppp-modules-3.2.0-2-loongson-2f-di cdrom-core-modules-3.2.0-2-loongson-2f-di loop-modules-3.2.0-2-loongson-2f-di ipv6-modules-3.2.0-2-loongson-2f-di btrfs-modules-3.2.0-2-loongson-2f-di isofs-modules-3.2.0-2-loongson-2f-di jfs-modules-3.2.0-2-loongson-2f-di reiserfs-modules-3.2.0-2-loongson-2f-di xfs-modules-3.2.0-2-loongson-2f-di fat-modules-3.2.0-2-loongson-2f-di md-modules-3.2.0-2-loongson-2f-di multipath-modules-3.2.0-2-loongson-2f-di usb-modules-3.2.0-2-loongson-2f-di usb-storage-modules-3.2.0-2-loongson-2f-di input-modules-3.2.0-2-loongson-2f-di nic-usb-modules-3.2.0-2-loongson-2f-di sata-modules-3.2.0-2-loongson-2f-di crypto-modules-3.2.0-2-loongson-2f-di crypto-dm-modules-3.2.0-2-loongson-2f-di nbd-modules-3.2.0-2-loongson-2f-di squashfs-modules-3.2.0-2-loongson-2f-di virtio-modules-3.2.0-2-loongson-2f-di zlib-modules-3.2.0-2-loongson-2f-di linux-image-3.2.0-2-r5k-cobalt
 linux-headers-3.2.0-2-r5k-cobalt linux-image-3.2.0-2-loongson-2f linux-headers-3.2.0-2-loongson-2f linux-headers-3.2.0-2-all-powerpc kernel-image-3.2.0-2-powerpc-di nic-modules-3.2.0-2-powerpc-di nic-extra-modules-3.2.0-2-powerpc-di nic-shared-modules-3.2.0-2-powerpc-di serial-modules-3.2.0-2-powerpc-di usb-serial-modules-3.2.0-2-powerpc-di ppp-modules-3.2.0-2-powerpc-di pata-modules-3.2.0-2-powerpc-di cdrom-core-modules-3.2.0-2-powerpc-di firewire-core-modules-3.2.0-2-powerpc-di scsi-core-modules-3.2.0-2-powerpc-di scsi-modules-3.2.0-2-powerpc-di scsi-common-modules-3.2.0-2-powerpc-di scsi-extra-modules-3.2.0-2-powerpc-di floppy-modules-3.2.0-2-powerpc-di loop-modules-3.2.0-2-powerpc-di btrfs-modules-3.2.0-2-powerpc-di ext2-modules-3.2.0-2-powerpc-di ext3-modules-3.2.0-2-powerpc-di ext4-modules-3.2.0-2-powerpc-di isofs-modules-3.2.0-2-powerpc-di jfs-modules-3.2.0-2-powerpc-di reiserfs-modules-3.2.0-2-powerpc-di xfs-modules-3.2.0-2-powerpc-di
 fat-modules-3.2.0-2-powerpc-di hfs-modules-3.2.0-2-powerpc-di affs-modules-3.2.0-2-powerpc-di ufs-modules-3.2.0-2-powerpc-di md-modules-3.2.0-2-powerpc-di multipath-modules-3.2.0-2-powerpc-di usb-modules-3.2.0-2-powerpc-di usb-storage-modules-3.2.0-2-powerpc-di pcmcia-storage-modules-3.2.0-2-powerpc-di input-modules-3.2.0-2-powerpc-di event-modules-3.2.0-2-powerpc-di mouse-modules-3.2.0-2-powerpc-di irda-modules-3.2.0-2-powerpc-di nic-pcmcia-modules-3.2.0-2-powerpc-di pcmcia-modules-3.2.0-2-powerpc-di sata-modules-3.2.0-2-powerpc-di core-modules-3.2.0-2-powerpc-di crc-modules-3.2.0-2-powerpc-di crypto-modules-3.2.0-2-powerpc-di crypto-dm-modules-3.2.0-2-powerpc-di ata-modules-3.2.0-2-powerpc-di nbd-modules-3.2.0-2-powerpc-di squashfs-modules-3.2.0-2-powerpc-di virtio-modules-3.2.0-2-powerpc-di uinput-modules-3.2.0-2-powerpc-di zlib-modules-3.2.0-2-powerpc-di kernel-image-3.2.0-2-powerpc64-di nic-modules-3.2.0-2-powerpc64-di nic-extra-modules-3.2.0-2-powerpc64-di
 nic-shared-modules-3.2.0-2-powerpc64-di serial-modules-3.2.0-2-powerpc64-di usb-serial-modules-3.2.0-2-powerpc64-di ppp-modules-3.2.0-2-powerpc64-di pata-modules-3.2.0-2-powerpc64-di cdrom-core-modules-3.2.0-2-powerpc64-di firewire-core-modules-3.2.0-2-powerpc64-di scsi-core-modules-3.2.0-2-powerpc64-di scsi-modules-3.2.0-2-powerpc64-di scsi-common-modules-3.2.0-2-powerpc64-di scsi-extra-modules-3.2.0-2-powerpc64-di floppy-modules-3.2.0-2-powerpc64-di loop-modules-3.2.0-2-powerpc64-di btrfs-modules-3.2.0-2-powerpc64-di ext2-modules-3.2.0-2-powerpc64-di ext3-modules-3.2.0-2-powerpc64-di ext4-modules-3.2.0-2-powerpc64-di isofs-modules-3.2.0-2-powerpc64-di jfs-modules-3.2.0-2-powerpc64-di reiserfs-modules-3.2.0-2-powerpc64-di xfs-modules-3.2.0-2-powerpc64-di fat-modules-3.2.0-2-powerpc64-di hfs-modules-3.2.0-2-powerpc64-di affs-modules-3.2.0-2-powerpc64-di ufs-modules-3.2.0-2-powerpc64-di md-modules-3.2.0-2-powerpc64-di multipath-modules-3.2.0-2-powerpc64-di
 usb-modules-3.2.0-2-powerpc64-di usb-storage-modules-3.2.0-2-powerpc64-di pcmcia-storage-modules-3.2.0-2-powerpc64-di input-modules-3.2.0-2-powerpc64-di event-modules-3.2.0-2-powerpc64-di mouse-modules-3.2.0-2-powerpc64-di irda-modules-3.2.0-2-powerpc64-di nic-pcmcia-modules-3.2.0-2-powerpc64-di pcmcia-modules-3.2.0-2-powerpc64-di sata-modules-3.2.0-2-powerpc64-di core-modules-3.2.0-2-powerpc64-di crc-modules-3.2.0-2-powerpc64-di crypto-modules-3.2.0-2-powerpc64-di crypto-dm-modules-3.2.0-2-powerpc64-di ata-modules-3.2.0-2-powerpc64-di nbd-modules-3.2.0-2-powerpc64-di squashfs-modules-3.2.0-2-powerpc64-di virtio-modules-3.2.0-2-powerpc64-di uinput-modules-3.2.0-2-powerpc64-di hypervisor-modules-3.2.0-2-powerpc64-di fancontrol-modules-3.2.0-2-powerpc64-di linux-image-3.2.0-2-powerpc linux-headers-3.2.0-2-powerpc linux-image-3.2.0-2-powerpc-smp linux-headers-3.2.0-2-powerpc-smp linux-image-3.2.0-2-powerpc64 linux-headers-3.2.0-2-powerpc64
 linux-headers-3.2.0-2-all-ppc64 linux-headers-3.2.0-2-all-s390 kernel-image-3.2.0-2-s390x-di nic-modules-3.2.0-2-s390x-di scsi-core-modules-3.2.0-2-s390x-di scsi-modules-3.2.0-2-s390x-di ext2-modules-3.2.0-2-s390x-di ext3-modules-3.2.0-2-s390x-di ext4-modules-3.2.0-2-s390x-di xfs-modules-3.2.0-2-s390x-di fat-modules-3.2.0-2-s390x-di md-modules-3.2.0-2-s390x-di multipath-modules-3.2.0-2-s390x-di core-modules-3.2.0-2-s390x-di crypto-modules-3.2.0-2-s390x-di crypto-dm-modules-3.2.0-2-s390x-di nbd-modules-3.2.0-2-s390x-di virtio-modules-3.2.0-2-s390x-di dasd-modules-3.2.0-2-s390x-di dasd-extra-modules-3.2.0-2-s390x-di kernel-image-3.2.0-2-s390x-tape-di linux-image-3.2.0-2-s390x linux-headers-3.2.0-2-s390x linux-image-3.2.0-2-s390x-tape linux-headers-3.2.0-2-all-s390x linux-headers-3.2.0-2-all-sh4 kernel-image-3.2.0-2-sh7751r-di nic-modules-3.2.0-2-sh7751r-di usb-serial-modules-3.2.0-2-sh7751r-di ppp-modules-3.2.0-2-sh7751r-di pata-modules-3.2.0-2-sh7751r-di
 cdrom-core-modules-3.2.0-2-sh7751r-di firewire-core-modules-3.2.0-2-sh7751r-di scsi-core-modules-3.2.0-2-sh7751r-di loop-modules-3.2.0-2-sh7751r-di btrfs-modules-3.2.0-2-sh7751r-di ext2-modules-3.2.0-2-sh7751r-di ext4-modules-3.2.0-2-sh7751r-di isofs-modules-3.2.0-2-sh7751r-di jfs-modules-3.2.0-2-sh7751r-di reiserfs-modules-3.2.0-2-sh7751r-di xfs-modules-3.2.0-2-sh7751r-di fat-modules-3.2.0-2-sh7751r-di ufs-modules-3.2.0-2-sh7751r-di minix-modules-3.2.0-2-sh7751r-di md-modules-3.2.0-2-sh7751r-di multipath-modules-3.2.0-2-sh7751r-di usb-storage-modules-3.2.0-2-sh7751r-di parport-modules-3.2.0-2-sh7751r-di nic-usb-modules-3.2.0-2-sh7751r-di sata-modules-3.2.0-2-sh7751r-di i2c-modules-3.2.0-2-sh7751r-di crc-modules-3.2.0-2-sh7751r-di crypto-modules-3.2.0-2-sh7751r-di crypto-dm-modules-3.2.0-2-sh7751r-di nbd-modules-3.2.0-2-sh7751r-di squashfs-modules-3.2.0-2-sh7751r-di speakup-modules-3.2.0-2-sh7751r-di virtio-modules-3.2.0-2-sh7751r-di sound-modules-3.2.0-2-sh7751r-di
 zlib-modules-3.2.0-2-sh7751r-di kernel-image-3.2.0-2-sh7785lcr-di nic-modules-3.2.0-2-sh7785lcr-di usb-serial-modules-3.2.0-2-sh7785lcr-di ppp-modules-3.2.0-2-sh7785lcr-di pata-modules-3.2.0-2-sh7785lcr-di cdrom-core-modules-3.2.0-2-sh7785lcr-di firewire-core-modules-3.2.0-2-sh7785lcr-di scsi-core-modules-3.2.0-2-sh7785lcr-di loop-modules-3.2.0-2-sh7785lcr-di btrfs-modules-3.2.0-2-sh7785lcr-di ext2-modules-3.2.0-2-sh7785lcr-di ext4-modules-3.2.0-2-sh7785lcr-di isofs-modules-3.2.0-2-sh7785lcr-di jfs-modules-3.2.0-2-sh7785lcr-di reiserfs-modules-3.2.0-2-sh7785lcr-di xfs-modules-3.2.0-2-sh7785lcr-di fat-modules-3.2.0-2-sh7785lcr-di ufs-modules-3.2.0-2-sh7785lcr-di minix-modules-3.2.0-2-sh7785lcr-di md-modules-3.2.0-2-sh7785lcr-di multipath-modules-3.2.0-2-sh7785lcr-di parport-modules-3.2.0-2-sh7785lcr-di nic-usb-modules-3.2.0-2-sh7785lcr-di sata-modules-3.2.0-2-sh7785lcr-di crc-modules-3.2.0-2-sh7785lcr-di crypto-modules-3.2.0-2-sh7785lcr-di
 crypto-dm-modules-3.2.0-2-sh7785lcr-di nbd-modules-3.2.0-2-sh7785lcr-di squashfs-modules-3.2.0-2-sh7785lcr-di speakup-modules-3.2.0-2-sh7785lcr-di sound-modules-3.2.0-2-sh7785lcr-di zlib-modules-3.2.0-2-sh7785lcr-di linux-image-3.2.0-2-sh7751r linux-headers-3.2.0-2-sh7751r linux-image-3.2.0-2-sh7785lcr linux-headers-3.2.0-2-sh7785lcr linux-headers-3.2.0-2-all-sparc kernel-image-3.2.0-2-sparc64-di nic-modules-3.2.0-2-sparc64-di ppp-modules-3.2.0-2-sparc64-di pata-modules-3.2.0-2-sparc64-di cdrom-core-modules-3.2.0-2-sparc64-di scsi-core-modules-3.2.0-2-sparc64-di scsi-modules-3.2.0-2-sparc64-di scsi-common-modules-3.2.0-2-sparc64-di plip-modules-3.2.0-2-sparc64-di btrfs-modules-3.2.0-2-sparc64-di ext2-modules-3.2.0-2-sparc64-di ext3-modules-3.2.0-2-sparc64-di ext4-modules-3.2.0-2-sparc64-di isofs-modules-3.2.0-2-sparc64-di jfs-modules-3.2.0-2-sparc64-di reiserfs-modules-3.2.0-2-sparc64-di xfs-modules-3.2.0-2-sparc64-di fat-modules-3.2.0-2-sparc64-di
 md-modules-3.2.0-2-sparc64-di multipath-modules-3.2.0-2-sparc64-di usb-modules-3.2.0-2-sparc64-di usb-storage-modules-3.2.0-2-sparc64-di input-modules-3.2.0-2-sparc64-di sata-modules-3.2.0-2-sparc64-di core-modules-3.2.0-2-sparc64-di crypto-modules-3.2.0-2-sparc64-di crypto-dm-modules-3.2.0-2-sparc64-di ata-modules-3.2.0-2-sparc64-di nbd-modules-3.2.0-2-sparc64-di squashfs-modules-3.2.0-2-sparc64-di zlib-modules-3.2.0-2-sparc64-di linux-image-3.2.0-2-sparc64 linux-headers-3.2.0-2-sparc64 linux-image-3.2.0-2-sparc64-smp linux-headers-3.2.0-2-sparc64-smp
 linux-headers-3.2.0-2-all-sparc64
Architecture: all source
Version: 3.2.17-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 492853 633423 654206 659111 670462 671200 671238
Description: 
 acpi-modules-3.2.0-2-486-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-2-686-pae-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-2-amd64-di - ACPI support modules (udeb)
 affs-modules-3.2.0-2-powerpc64-di - Amiga filesystem support (udeb)
 affs-modules-3.2.0-2-powerpc-di - Amiga filesystem support (udeb)
 ata-modules-3.2.0-2-486-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-686-pae-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-amd64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-iop32x-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-itanium-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-powerpc64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-powerpc-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-sparc64-di - ATA disk modules (udeb)
 btrfs-modules-3.2.0-2-486-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-4kc-malta-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-686-pae-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-amd64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-amiga-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-atari-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-iop32x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-itanium-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-kirkwood-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-loongson-2f-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-mac-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-mx5-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-orion5x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-parisc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-parisc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-powerpc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-powerpc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-r4k-ip22-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-r5k-cobalt-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-r5k-ip32-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-sb1-bcm91250a-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-sh7751r-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-sh7785lcr-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-sparc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-versatile-di - BTRFS filesystem support (udeb)
 cdrom-core-modules-3.2.0-2-486-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-4kc-malta-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-686-pae-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-amd64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-amiga-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-atari-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-iop32x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-itanium-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-kirkwood-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-loongson-2f-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-mac-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-orion5x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-parisc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-parisc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-powerpc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-powerpc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-sb1-bcm91250a-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-sh7751r-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-sh7785lcr-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-sparc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-versatile-di - CDROM support (udeb)
 core-modules-3.2.0-2-486-di - Core modules (udeb)
 core-modules-3.2.0-2-686-pae-di - Core modules (udeb)
 core-modules-3.2.0-2-amd64-di - Core modules (udeb)
 core-modules-3.2.0-2-iop32x-di - Core modules (udeb)
 core-modules-3.2.0-2-itanium-di - Core modules (udeb)
 core-modules-3.2.0-2-kirkwood-di - Core modules (udeb)
 core-modules-3.2.0-2-mx5-di - Core modules (udeb)
 core-modules-3.2.0-2-orion5x-di - Core modules (udeb)
 core-modules-3.2.0-2-powerpc64-di - Core modules (udeb)
 core-modules-3.2.0-2-powerpc-di - Core modules (udeb)
 core-modules-3.2.0-2-s390x-di - Core modules (udeb)
 core-modules-3.2.0-2-sparc64-di - Core modules (udeb)
 core-modules-3.2.0-2-versatile-di - Core modules (udeb)
 crc-modules-3.2.0-2-486-di - CRC modules (udeb)
 crc-modules-3.2.0-2-686-pae-di - CRC modules (udeb)
 crc-modules-3.2.0-2-amd64-di - CRC modules (udeb)
 crc-modules-3.2.0-2-iop32x-di - CRC modules (udeb)
 crc-modules-3.2.0-2-itanium-di - CRC modules (udeb)
 crc-modules-3.2.0-2-kirkwood-di - CRC modules (udeb)
 crc-modules-3.2.0-2-mx5-di - CRC modules (udeb)
 crc-modules-3.2.0-2-orion5x-di - CRC modules (udeb)
 crc-modules-3.2.0-2-powerpc64-di - CRC modules (udeb)
 crc-modules-3.2.0-2-powerpc-di - CRC modules (udeb)
 crc-modules-3.2.0-2-sh7751r-di - CRC modules (udeb)
 crc-modules-3.2.0-2-sh7785lcr-di - CRC modules (udeb)
 crc-modules-3.2.0-2-versatile-di - CRC modules (udeb)
 crypto-dm-modules-3.2.0-2-486-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-4kc-malta-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-686-pae-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-amd64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-iop32x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-itanium-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-kirkwood-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-loongson-2f-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-mx5-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-orion5x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-parisc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-parisc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-powerpc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-powerpc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-r4k-ip22-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-r5k-cobalt-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-r5k-ip32-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-s390x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-sb1-bcm91250a-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-sh7751r-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-sh7785lcr-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-sparc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-versatile-di - devicemapper crypto module (udeb)
 crypto-modules-3.2.0-2-486-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-4kc-malta-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-686-pae-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-amd64-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-amiga-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-atari-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-iop32x-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-itanium-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-kirkwood-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-loongson-2f-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-mac-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-mx5-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-orion5x-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-parisc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-parisc-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-powerpc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-powerpc-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-r4k-ip22-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-r5k-cobalt-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-r5k-ip32-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-s390x-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-sb1-bcm91250a-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-sh7751r-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-sh7785lcr-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-sparc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-versatile-di - crypto modules (udeb)
 dasd-extra-modules-3.2.0-2-s390x-di - optional dasd DIAG support (udeb)
 dasd-modules-3.2.0-2-s390x-di - dasd modules (udeb)
 efi-modules-3.2.0-2-486-di - EFI modules (udeb)
 efi-modules-3.2.0-2-686-pae-di - EFI modules (udeb)
 efi-modules-3.2.0-2-amd64-di - EFI modules (udeb)
 efi-modules-3.2.0-2-itanium-di - EFI modules (udeb)
 event-modules-3.2.0-2-486-di - Event support (udeb)
 event-modules-3.2.0-2-686-pae-di - Event support (udeb)
 event-modules-3.2.0-2-amd64-di - Event support (udeb)
 event-modules-3.2.0-2-iop32x-di - Event support (udeb)
 event-modules-3.2.0-2-itanium-di - Event support (udeb)
 event-modules-3.2.0-2-kirkwood-di - Event support (udeb)
 event-modules-3.2.0-2-orion5x-di - Event support (udeb)
 event-modules-3.2.0-2-powerpc64-di - Event support (udeb)
 event-modules-3.2.0-2-powerpc-di - Event support (udeb)
 ext2-modules-3.2.0-2-486-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-686-pae-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-amd64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-iop32x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-itanium-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-kirkwood-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-mx5-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-orion5x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-powerpc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-powerpc-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-s390x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-sh7751r-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-sh7785lcr-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-sparc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-versatile-di - EXT2 filesystem support (udeb)
 ext3-modules-3.2.0-2-486-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-686-pae-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-amd64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-iop32x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-itanium-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-kirkwood-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-mx5-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-orion5x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-parisc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-parisc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-powerpc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-powerpc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-s390x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-sparc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-versatile-di - EXT3 filesystem support (udeb)
 ext4-modules-3.2.0-2-486-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-686-pae-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-amd64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-iop32x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-itanium-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-kirkwood-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-mx5-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-orion5x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-parisc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-parisc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-powerpc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-powerpc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-s390x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-sh7751r-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-sh7785lcr-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-sparc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-versatile-di - EXT4 filesystem support (udeb)
 fancontrol-modules-3.2.0-2-powerpc64-di - Apple powermac fancontrol modules (udeb)
 fat-modules-3.2.0-2-486-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-4kc-malta-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-686-pae-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-amd64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-amiga-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-atari-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-iop32x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-itanium-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-kirkwood-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-loongson-2f-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-mac-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-mx5-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-orion5x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-parisc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-parisc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-powerpc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-powerpc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-r5k-cobalt-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-s390x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-sb1-bcm91250a-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-sh7751r-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-sh7785lcr-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-sparc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-versatile-di - FAT filesystem support (udeb)
 fb-modules-3.2.0-2-486-di - Frame buffer support (udeb)
 fb-modules-3.2.0-2-686-pae-di - Frame buffer support (udeb)
 fb-modules-3.2.0-2-amd64-di - Frame buffer support (udeb)
 fb-modules-3.2.0-2-itanium-di - Frame buffer support (udeb)
 fb-modules-3.2.0-2-kirkwood-di - Frame buffer support (udeb)
 fb-modules-3.2.0-2-sb1-bcm91250a-di - Frame buffer support (udeb)
 firewire-core-modules-3.2.0-2-486-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-686-pae-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-amd64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-itanium-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-powerpc64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-powerpc-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-sh7751r-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-sh7785lcr-di - Core FireWire drivers (udeb)
 floppy-modules-3.2.0-2-486-di - Floppy driver (udeb)
 floppy-modules-3.2.0-2-686-pae-di - Floppy driver (udeb)
 floppy-modules-3.2.0-2-amd64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-2-powerpc64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-2-powerpc-di - Floppy driver (udeb)
 hfs-modules-3.2.0-2-powerpc64-di - HFS filesystem support (udeb)
 hfs-modules-3.2.0-2-powerpc-di - HFS filesystem support (udeb)
 hypervisor-modules-3.2.0-2-powerpc64-di - IBM 64bit hypervisor console modules (udeb)
 i2c-modules-3.2.0-2-486-di - i2c support modules (udeb)
 i2c-modules-3.2.0-2-686-pae-di - i2c support modules (udeb)
 i2c-modules-3.2.0-2-amd64-di - i2c support modules (udeb)
 i2c-modules-3.2.0-2-sh7751r-di - i2c support modules (udeb)
 ide-core-modules-3.2.0-2-itanium-di - IDE support (udeb)
 ide-modules-3.2.0-2-itanium-di - IDE drivers (udeb)
 input-modules-3.2.0-2-486-di - Input devices support (udeb)
 input-modules-3.2.0-2-4kc-malta-di - Input devices support (udeb)
 input-modules-3.2.0-2-686-pae-di - Input devices support (udeb)
 input-modules-3.2.0-2-amd64-di - Input devices support (udeb)
 input-modules-3.2.0-2-itanium-di - Input devices support (udeb)
 input-modules-3.2.0-2-kirkwood-di - Input devices support (udeb)
 input-modules-3.2.0-2-loongson-2f-di - Input devices support (udeb)
 input-modules-3.2.0-2-mx5-di - Input devices support (udeb)
 input-modules-3.2.0-2-parisc64-di - Input devices support (udeb)
 input-modules-3.2.0-2-parisc-di - Input devices support (udeb)
 input-modules-3.2.0-2-powerpc64-di - Input devices support (udeb)
 input-modules-3.2.0-2-powerpc-di - Input devices support (udeb)
 input-modules-3.2.0-2-sb1-bcm91250a-di - Input devices support (udeb)
 input-modules-3.2.0-2-sparc64-di - Input devices support (udeb)
 ipv6-modules-3.2.0-2-4kc-malta-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-itanium-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-loongson-2f-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-parisc64-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-parisc-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-r4k-ip22-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-r5k-cobalt-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-r5k-ip32-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-sb1-bcm91250a-di - IPv6 driver (udeb)
 irda-modules-3.2.0-2-486-di - Infrared devices support (udeb)
 irda-modules-3.2.0-2-686-pae-di - Infrared devices support (udeb)
 irda-modules-3.2.0-2-amd64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-2-itanium-di - Infrared devices support (udeb)
 irda-modules-3.2.0-2-powerpc64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-2-powerpc-di - Infrared devices support (udeb)
 isofs-modules-3.2.0-2-486-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-4kc-malta-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-686-pae-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-amd64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-amiga-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-atari-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-iop32x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-itanium-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-kirkwood-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-loongson-2f-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-mac-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-mx5-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-orion5x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-powerpc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-powerpc-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-r4k-ip22-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-r5k-ip32-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-sb1-bcm91250a-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-sh7751r-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-sh7785lcr-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-sparc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-versatile-di - ISOFS filesystem support (udeb)
 jffs2-modules-3.2.0-2-iop32x-di - JFFS2 filesystem support (udeb)
 jffs2-modules-3.2.0-2-orion5x-di - JFFS2 filesystem support (udeb)
 jfs-modules-3.2.0-2-486-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-4kc-malta-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-686-pae-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-amd64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-amiga-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-atari-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-iop32x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-itanium-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-kirkwood-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-loongson-2f-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-mac-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-mx5-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-orion5x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-powerpc64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-powerpc-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-r4k-ip22-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-r5k-cobalt-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-r5k-ip32-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-sb1-bcm91250a-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-sh7751r-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-sh7785lcr-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-sparc64-di - JFS filesystem support (udeb)
 kernel-image-3.2.0-2-486-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-4kc-malta-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-686-pae-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-amd64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-amiga-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-atari-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-iop32x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-itanium-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-kirkwood-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-loongson-2f-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-mac-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-mx5-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-orion5x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-parisc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-parisc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-powerpc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-powerpc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-r4k-ip22-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-r5k-cobalt-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-r5k-ip32-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-s390x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-s390x-tape-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-sb1-bcm91250a-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-sh7751r-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-sh7785lcr-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-sparc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-versatile-di - Linux kernel binary image for the Debian installer (udeb)
 leds-modules-3.2.0-2-kirkwood-di - LED modules (udeb)
 linux-doc-3.2 - Linux kernel specific documentation for version 3.2
 linux-headers-3.2.0-2-486 - Header files for Linux 3.2.0-2-486
 linux-headers-3.2.0-2-4kc-malta - Header files for Linux 3.2.0-2-4kc-malta
 linux-headers-3.2.0-2-5kc-malta - Header files for Linux 3.2.0-2-5kc-malta
 linux-headers-3.2.0-2-686-pae - Header files for Linux 3.2.0-2-686-pae
 linux-headers-3.2.0-2-all - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-alpha - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-amd64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-armel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-armhf - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-hppa - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-i386 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-ia64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-m68k - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-mips - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-mipsel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-powerpc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-ppc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-s390 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-s390x - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-sh4 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-sparc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-sparc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-alpha-generic - Header files for Linux 3.2.0-2-alpha-generic
 linux-headers-3.2.0-2-alpha-legacy - Header files for Linux 3.2.0-2-alpha-legacy
 linux-headers-3.2.0-2-alpha-smp - Header files for Linux 3.2.0-2-alpha-smp
 linux-headers-3.2.0-2-amd64 - Header files for Linux 3.2.0-2-amd64
 linux-headers-3.2.0-2-amiga - Header files for Linux 3.2.0-2-amiga
 linux-headers-3.2.0-2-atari - Header files for Linux 3.2.0-2-atari
 linux-headers-3.2.0-2-bvme6000 - Header files for Linux 3.2.0-2-bvme6000
 linux-headers-3.2.0-2-common - Common header files for Linux 3.2.0-2
 linux-headers-3.2.0-2-common-rt - Common header files for Linux 3.2.0-2-rt
 linux-headers-3.2.0-2-iop32x - Header files for Linux 3.2.0-2-iop32x
 linux-headers-3.2.0-2-itanium - Header files for Linux 3.2.0-2-itanium
 linux-headers-3.2.0-2-ixp4xx - Header files for Linux 3.2.0-2-ixp4xx
 linux-headers-3.2.0-2-kirkwood - Header files for Linux 3.2.0-2-kirkwood
 linux-headers-3.2.0-2-loongson-2f - Header files for Linux 3.2.0-2-loongson-2f
 linux-headers-3.2.0-2-mac - Header files for Linux 3.2.0-2-mac
 linux-headers-3.2.0-2-mckinley - Header files for Linux 3.2.0-2-mckinley
 linux-headers-3.2.0-2-mv78xx0 - Header files for Linux 3.2.0-2-mv78xx0
 linux-headers-3.2.0-2-mvme147 - Header files for Linux 3.2.0-2-mvme147
 linux-headers-3.2.0-2-mvme16x - Header files for Linux 3.2.0-2-mvme16x
 linux-headers-3.2.0-2-mx5 - Header files for Linux 3.2.0-2-mx5
 linux-headers-3.2.0-2-octeon - Header files for Linux 3.2.0-2-octeon
 linux-headers-3.2.0-2-omap - Header files for Linux 3.2.0-2-omap
 linux-headers-3.2.0-2-orion5x - Header files for Linux 3.2.0-2-orion5x
 linux-headers-3.2.0-2-parisc64 - Header files for Linux 3.2.0-2-parisc64
 linux-headers-3.2.0-2-parisc64-smp - Header files for Linux 3.2.0-2-parisc64-smp
 linux-headers-3.2.0-2-parisc - Header files for Linux 3.2.0-2-parisc
 linux-headers-3.2.0-2-parisc-smp - Header files for Linux 3.2.0-2-parisc-smp
 linux-headers-3.2.0-2-powerpc64 - Header files for Linux 3.2.0-2-powerpc64
 linux-headers-3.2.0-2-powerpc - Header files for Linux 3.2.0-2-powerpc
 linux-headers-3.2.0-2-powerpc-smp - Header files for Linux 3.2.0-2-powerpc-smp
 linux-headers-3.2.0-2-r4k-ip22 - Header files for Linux 3.2.0-2-r4k-ip22
 linux-headers-3.2.0-2-r5k-cobalt - Header files for Linux 3.2.0-2-r5k-cobalt
 linux-headers-3.2.0-2-r5k-ip32 - Header files for Linux 3.2.0-2-r5k-ip32
 linux-headers-3.2.0-2-rt-686-pae - Header files for Linux 3.2.0-2-rt-686-pae
 linux-headers-3.2.0-2-rt-amd64 - Header files for Linux 3.2.0-2-rt-amd64
 linux-headers-3.2.0-2-s390x - Header files for Linux 3.2.0-2-s390x
 linux-headers-3.2.0-2-sb1a-bcm91480b - Header files for Linux 3.2.0-2-sb1a-bcm91480b
 linux-headers-3.2.0-2-sb1-bcm91250a - Header files for Linux 3.2.0-2-sb1-bcm91250a
 linux-headers-3.2.0-2-sh7751r - Header files for Linux 3.2.0-2-sh7751r
 linux-headers-3.2.0-2-sh7785lcr - Header files for Linux 3.2.0-2-sh7785lcr
 linux-headers-3.2.0-2-sparc64 - Header files for Linux 3.2.0-2-sparc64
 linux-headers-3.2.0-2-sparc64-smp - Header files for Linux 3.2.0-2-sparc64-smp
 linux-headers-3.2.0-2-versatile - Header files for Linux 3.2.0-2-versatile
 linux-headers-3.2.0-2-vexpress - Header files for Linux 3.2.0-2-vexpress
 linux-image-3.2.0-2-486 - Linux 3.2 for older PCs
 linux-image-3.2.0-2-4kc-malta - Linux 3.2 for MIPS Malta
 linux-image-3.2.0-2-5kc-malta - Linux 3.2 for MIPS Malta (64-bit)
 linux-image-3.2.0-2-686-pae-dbg - Debugging infos for Linux 3.2.0-2-686-pae
 linux-image-3.2.0-2-686-pae - Linux 3.2 for modern PCs
 linux-image-3.2.0-2-alpha-generic - Linux 3.2 for Alpha
 linux-image-3.2.0-2-alpha-legacy - Linux 3.2 for Alpha Legacy
 linux-image-3.2.0-2-alpha-smp - Linux 3.2 for Alpha SMP
 linux-image-3.2.0-2-amd64-dbg - Debugging infos for Linux 3.2.0-2-amd64
 linux-image-3.2.0-2-amd64 - Linux 3.2 for 64-bit PCs
 linux-image-3.2.0-2-amiga - Linux 3.2 for Amiga
 linux-image-3.2.0-2-atari - Linux 3.2 for Atari
 linux-image-3.2.0-2-bvme6000 - Linux 3.2 for BVM BVME4000 and BVME6000
 linux-image-3.2.0-2-iop32x - Linux 3.2 for IOP32x
 linux-image-3.2.0-2-itanium - Linux 3.2 for Itanium
 linux-image-3.2.0-2-ixp4xx - Linux 3.2 for IXP4xx
 linux-image-3.2.0-2-kirkwood - Linux 3.2 for Marvell Kirkwood
 linux-image-3.2.0-2-loongson-2f - Linux 3.2 for Loongson 2F
 linux-image-3.2.0-2-mac - Linux 3.2 for Macintosh
 linux-image-3.2.0-2-mckinley - Linux 3.2 for Itanium II
 linux-image-3.2.0-2-mv78xx0 - Linux 3.2 for Marvell 78xx0
 linux-image-3.2.0-2-mvme147 - Linux 3.2 for Motorola MVME147
 linux-image-3.2.0-2-mvme16x - Linux 3.2 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.2.0-2-mx5 - Linux 3.2 for Freescale i.MX51
 linux-image-3.2.0-2-octeon - Linux 3.2 for Octeon
 linux-image-3.2.0-2-omap - Linux 3.2 for TI OMAP3+
 linux-image-3.2.0-2-orion5x - Linux 3.2 for Marvell Orion
 linux-image-3.2.0-2-parisc64 - Linux 3.2 for 64-bit PA-RISC
 linux-image-3.2.0-2-parisc64-smp - Linux 3.2 for multiprocessor 64-bit PA-RISC
 linux-image-3.2.0-2-parisc - Linux 3.2 for 32-bit PA-RISC
 linux-image-3.2.0-2-parisc-smp - Linux 3.2 for multiprocessor 32-bit PA-RISC
 linux-image-3.2.0-2-powerpc64 - Linux 3.2 for 64-bit PowerPC
 linux-image-3.2.0-2-powerpc - Linux 3.2 for uniprocessor 32-bit PowerPC
 linux-image-3.2.0-2-powerpc-smp - Linux 3.2 for multiprocessor 32-bit PowerPC
 linux-image-3.2.0-2-r4k-ip22 - Linux 3.2 for SGI IP22
 linux-image-3.2.0-2-r5k-cobalt - Linux 3.2 for Cobalt
 linux-image-3.2.0-2-r5k-ip32 - Linux 3.2 for SGI IP32
 linux-image-3.2.0-2-rt-686-pae-dbg - Debugging infos for Linux 3.2.0-2-rt-686-pae
 linux-image-3.2.0-2-rt-686-pae - Linux 3.2 for modern PCs, PREEMPT_RT
 linux-image-3.2.0-2-rt-amd64-dbg - Debugging infos for Linux 3.2.0-2-rt-amd64
 linux-image-3.2.0-2-rt-amd64 - Linux 3.2 for 64-bit PCs, PREEMPT_RT
 linux-image-3.2.0-2-s390x - Linux 3.2 for IBM zSeries
 linux-image-3.2.0-2-s390x-tape - Linux 3.2 for IBM zSeries, IPL from tape
 linux-image-3.2.0-2-sb1a-bcm91480b - Linux 3.2 for BCM91480B
 linux-image-3.2.0-2-sb1-bcm91250a - Linux 3.2 for BCM91250A
 linux-image-3.2.0-2-sh7751r - Linux 3.2 for sh7751r
 linux-image-3.2.0-2-sh7785lcr - Linux 3.2 for sh7785lcr
 linux-image-3.2.0-2-sparc64 - Linux 3.2 for uniprocessor 64-bit UltraSPARC
 linux-image-3.2.0-2-sparc64-smp - Linux 3.2 for multiprocessor 64-bit UltraSPARC
 linux-image-3.2.0-2-versatile - Linux 3.2 for Versatile
 linux-image-3.2.0-2-vexpress - Linux 3.2 for ARM Ltd. Versatile Express
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.2 - Linux kernel API manual pages for version 3.2
 linux-patch-debian-3.2 - Debian patches to version 3.2 of the Linux kernel
 linux-source-3.2 - Linux kernel source for version 3.2 with Debian patches
 linux-support-3.2.0-2 - Support files for Linux 3.2
 loop-modules-3.2.0-2-486-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-4kc-malta-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-686-pae-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-amd64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-iop32x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-itanium-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-kirkwood-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-loongson-2f-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-mx5-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-orion5x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-parisc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-parisc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-powerpc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-powerpc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-r4k-ip22-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-r5k-cobalt-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-r5k-ip32-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-sb1-bcm91250a-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-sh7751r-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-sh7785lcr-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-versatile-di - Loopback filesystem support (udeb)
 md-modules-3.2.0-2-486-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-4kc-malta-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-686-pae-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-amd64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-amiga-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-atari-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-iop32x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-itanium-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-kirkwood-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-loongson-2f-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-mac-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-mx5-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-orion5x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-parisc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-parisc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-powerpc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-powerpc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-r4k-ip22-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-r5k-cobalt-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-r5k-ip32-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-s390x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-sb1-bcm91250a-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-sh7751r-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-sh7785lcr-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-sparc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-versatile-di - RAID and LVM support (udeb)
 minix-modules-3.2.0-2-kirkwood-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-2-mx5-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-2-orion5x-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-2-sh7751r-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-2-sh7785lcr-di - Minix filesystem support (udeb)
 mmc-core-modules-3.2.0-2-486-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-2-686-pae-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-2-amd64-di - MMC/SD/SDIO core modules (udeb)
 mmc-modules-3.2.0-2-486-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-2-686-pae-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-2-amd64-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-2-kirkwood-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-2-mx5-di - MMC/SD card modules (udeb)
 mouse-modules-3.2.0-2-486-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-686-pae-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-amd64-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-itanium-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-kirkwood-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-powerpc64-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-powerpc-di - Mouse support (udeb)
 multipath-modules-3.2.0-2-486-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-4kc-malta-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-686-pae-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-amd64-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-iop32x-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-itanium-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-kirkwood-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-loongson-2f-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-mx5-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-orion5x-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-parisc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-parisc-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-powerpc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-powerpc-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-r4k-ip22-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-r5k-cobalt-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-r5k-ip32-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-s390x-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-sb1-bcm91250a-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-sh7751r-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-sh7785lcr-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-sparc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-versatile-di - Multipath support (udeb)
 nbd-modules-3.2.0-2-486-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-4kc-malta-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-686-pae-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-amd64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-amiga-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-atari-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-iop32x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-itanium-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-kirkwood-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-loongson-2f-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-mac-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-mx5-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-orion5x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-parisc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-parisc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-powerpc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-powerpc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-r4k-ip22-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-r5k-cobalt-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-r5k-ip32-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-s390x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-sb1-bcm91250a-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-sh7751r-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-sh7785lcr-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-sparc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-versatile-di - Network Block Device modules (udeb)
 nfs-modules-3.2.0-2-r5k-cobalt-di - NFS filesystem support (udeb)
 nic-extra-modules-3.2.0-2-486-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-2-686-pae-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-2-amd64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-2-powerpc64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-2-powerpc-di - Rare NIC drivers (udeb)
 nic-modules-3.2.0-2-486-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-686-pae-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-amd64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-iop32x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-itanium-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-kirkwood-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-loongson-2f-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-mx5-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-orion5x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-parisc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-parisc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-powerpc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-powerpc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-s390x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-sh7751r-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-sh7785lcr-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-sparc64-di - Network card modules for Sparc kernels (udeb)
 nic-modules-3.2.0-2-versatile-di - Common NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-2-486-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-2-686-pae-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-2-amd64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-2-powerpc64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-2-powerpc-di - Common PCMCIA NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-486-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-686-pae-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-amd64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-amiga-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-atari-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-iop32x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-itanium-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-kirkwood-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-loongson-2f-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-mac-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-mx5-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-orion5x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-powerpc64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-powerpc-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-r4k-ip22-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-r5k-cobalt-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-r5k-ip32-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-sb1-bcm91250a-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-versatile-di - Shared NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-486-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-686-pae-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-amd64-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-iop32x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-itanium-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-kirkwood-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-loongson-2f-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-mx5-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-orion5x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-sh7751r-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-sh7785lcr-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-versatile-di - USB NIC drivers (udeb)
 nic-wireless-modules-3.2.0-2-486-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-2-686-pae-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-2-amd64-di - Wireless NIC drivers (udeb)
 ntfs-modules-3.2.0-2-486-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-2-686-pae-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-2-amd64-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-2-itanium-di - NTFS filesystem support (udeb)
 parport-modules-3.2.0-2-486-di - Parallel port support (udeb)
 parport-modules-3.2.0-2-686-pae-di - Parallel port support (udeb)
 parport-modules-3.2.0-2-amd64-di - Parallel port support (udeb)
 parport-modules-3.2.0-2-itanium-di - Parallel port support (udeb)
 parport-modules-3.2.0-2-sh7751r-di - Parallel port support (udeb)
 parport-modules-3.2.0-2-sh7785lcr-di - Parallel port support (udeb)
 pata-modules-3.2.0-2-486-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-686-pae-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-amd64-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-iop32x-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-itanium-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-parisc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-parisc-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-powerpc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-powerpc-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-sh7751r-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-sh7785lcr-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-sparc64-di - PATA drivers (udeb)
 pcmcia-modules-3.2.0-2-486-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-2-686-pae-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-2-amd64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-2-itanium-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-2-powerpc64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-2-powerpc-di - Common PCMCIA drivers (udeb)
 pcmcia-storage-modules-3.2.0-2-486-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-2-686-pae-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-2-amd64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-2-powerpc64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-2-powerpc-di - PCMCIA storage drivers (udeb)
 plip-modules-3.2.0-2-486-di - PLIP drivers (udeb)
 plip-modules-3.2.0-2-686-pae-di - PLIP drivers (udeb)
 plip-modules-3.2.0-2-amd64-di - PLIP drivers (udeb)
 plip-modules-3.2.0-2-itanium-di - PLIP drivers (udeb)
 plip-modules-3.2.0-2-sparc64-di - PLIP drivers (udeb)
 ppp-modules-3.2.0-2-486-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-4kc-malta-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-686-pae-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-amd64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-amiga-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-atari-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-iop32x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-itanium-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-kirkwood-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-loongson-2f-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-mac-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-orion5x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-parisc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-parisc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-powerpc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-powerpc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-r5k-cobalt-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-sb1-bcm91250a-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-sh7751r-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-sh7785lcr-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-sparc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-versatile-di - PPP drivers (udeb)
 qnx4-modules-3.2.0-2-486-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-2-686-pae-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-2-amd64-di - QNX4 filesystem support (udeb)
 reiserfs-modules-3.2.0-2-486-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-4kc-malta-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-686-pae-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-amd64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-amiga-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-atari-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-iop32x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-itanium-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-kirkwood-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-loongson-2f-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-mac-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-mx5-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-orion5x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-powerpc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-powerpc-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-r4k-ip22-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-r5k-cobalt-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-r5k-ip32-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-sb1-bcm91250a-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-sh7751r-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-sh7785lcr-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-sparc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-versatile-di - Reiser filesystem support (udeb)
 rtc-modules-3.2.0-2-sb1-bcm91250a-di - RTC modules (udeb)
 sata-modules-3.2.0-2-486-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-4kc-malta-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-686-pae-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-amd64-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-iop32x-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-itanium-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-kirkwood-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-loongson-2f-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-orion5x-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-powerpc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-powerpc-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-sb1-bcm91250a-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-sh7751r-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-sh7785lcr-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-sparc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-versatile-di - SATA drivers (udeb)
 scsi-common-modules-3.2.0-2-486-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-686-pae-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-amd64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-powerpc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-powerpc-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-sb1-bcm91250a-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-sparc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-versatile-di - Very common SCSI drivers (udeb)
 scsi-core-modules-3.2.0-2-486-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-686-pae-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-amd64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-iop32x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-itanium-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-kirkwood-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-mx5-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-orion5x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-parisc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-parisc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-powerpc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-powerpc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-s390x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-sb1-bcm91250a-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-sh7751r-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-sh7785lcr-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-sparc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-versatile-di - Core SCSI subsystem (udeb)
 scsi-extra-modules-3.2.0-2-486-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-2-686-pae-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-2-amd64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-2-powerpc64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-2-powerpc-di - Uncommon SCSI drivers (udeb)
 scsi-modules-3.2.0-2-486-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-686-pae-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-amd64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-amiga-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-atari-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-itanium-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-mac-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-parisc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-parisc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-powerpc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-powerpc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-s390x-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-sb1-bcm91250a-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-sparc64-di - SCSI drivers (udeb)
 serial-modules-3.2.0-2-486-di - Serial drivers (udeb)
 serial-modules-3.2.0-2-686-pae-di - Serial drivers (udeb)
 serial-modules-3.2.0-2-amd64-di - Serial drivers (udeb)
 serial-modules-3.2.0-2-itanium-di - Serial drivers (udeb)
 serial-modules-3.2.0-2-powerpc64-di - Serial drivers (udeb)
 serial-modules-3.2.0-2-powerpc-di - Serial drivers (udeb)
 sn-modules-3.2.0-2-itanium-di - SN modules (udeb)
 sound-modules-3.2.0-2-486-di - sound support (udeb)
 sound-modules-3.2.0-2-686-pae-di - sound support (udeb)
 sound-modules-3.2.0-2-amd64-di - sound support (udeb)
 sound-modules-3.2.0-2-sh7751r-di - sound support (udeb)
 sound-modules-3.2.0-2-sh7785lcr-di - sound support (udeb)
 speakup-modules-3.2.0-2-486-di - speakup modules (udeb)
 speakup-modules-3.2.0-2-686-pae-di - speakup modules (udeb)
 speakup-modules-3.2.0-2-amd64-di - speakup modules (udeb)
 speakup-modules-3.2.0-2-sh7751r-di - speakup modules (udeb)
 speakup-modules-3.2.0-2-sh7785lcr-di - speakup modules (udeb)
 squashfs-modules-3.2.0-2-486-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-4kc-malta-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-686-pae-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-amd64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-amiga-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-atari-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-iop32x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-itanium-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-kirkwood-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-loongson-2f-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-mac-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-mx5-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-orion5x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-powerpc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-powerpc-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-r4k-ip22-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-r5k-cobalt-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-r5k-ip32-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-sb1-bcm91250a-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-sh7751r-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-sh7785lcr-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-sparc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-versatile-di - squashfs modules (udeb)
 ufs-modules-3.2.0-2-486-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-686-pae-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-amd64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-itanium-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-powerpc64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-powerpc-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-sh7751r-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-sh7785lcr-di - UFS filesystem support (udeb)
 uinput-modules-3.2.0-2-486-di - uinput support (udeb)
 uinput-modules-3.2.0-2-686-pae-di - uinput support (udeb)
 uinput-modules-3.2.0-2-amd64-di - uinput support (udeb)
 uinput-modules-3.2.0-2-itanium-di - uinput support (udeb)
 uinput-modules-3.2.0-2-kirkwood-di - uinput support (udeb)
 uinput-modules-3.2.0-2-mx5-di - uinput support (udeb)
 uinput-modules-3.2.0-2-powerpc64-di - uinput support (udeb)
 uinput-modules-3.2.0-2-powerpc-di - uinput support (udeb)
 usb-modules-3.2.0-2-486-di - USB support (udeb)
 usb-modules-3.2.0-2-4kc-malta-di - USB support (udeb)
 usb-modules-3.2.0-2-686-pae-di - USB support (udeb)
 usb-modules-3.2.0-2-amd64-di - USB support (udeb)
 usb-modules-3.2.0-2-iop32x-di - USB support (udeb)
 usb-modules-3.2.0-2-itanium-di - USB support (udeb)
 usb-modules-3.2.0-2-kirkwood-di - USB support (udeb)
 usb-modules-3.2.0-2-loongson-2f-di - USB support (udeb)
 usb-modules-3.2.0-2-orion5x-di - USB support (udeb)
 usb-modules-3.2.0-2-parisc64-di - USB support (udeb)
 usb-modules-3.2.0-2-parisc-di - USB support (udeb)
 usb-modules-3.2.0-2-powerpc64-di - USB support (udeb)
 usb-modules-3.2.0-2-powerpc-di - USB support (udeb)
 usb-modules-3.2.0-2-sb1-bcm91250a-di - USB support (udeb)
 usb-modules-3.2.0-2-sparc64-di - USB support (udeb)
 usb-modules-3.2.0-2-versatile-di - USB support (udeb)
 usb-serial-modules-3.2.0-2-486-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-686-pae-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-amd64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-iop32x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-kirkwood-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-orion5x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-powerpc64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-powerpc-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-sh7751r-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-sh7785lcr-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-versatile-di - USB serial drivers (udeb)
 usb-storage-modules-3.2.0-2-486-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-4kc-malta-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-686-pae-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-amd64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-iop32x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-itanium-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-kirkwood-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-loongson-2f-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-mx5-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-orion5x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-parisc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-parisc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-powerpc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-powerpc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-sb1-bcm91250a-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-sh7751r-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-sparc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-versatile-di - USB storage support (udeb)
 virtio-modules-3.2.0-2-486-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-4kc-malta-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-686-pae-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-amd64-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-loongson-2f-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-powerpc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-powerpc-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-s390x-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-sh7751r-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-versatile-di - virtio modules (udeb)
 xen-linux-system-3.2.0-2-686-pae - Xen system with Linux 3.2 on modern PCs (meta-package)
 xen-linux-system-3.2.0-2-amd64 - Xen system with Linux 3.2 on 64-bit PCs (meta-package)
 xfs-modules-3.2.0-2-486-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-4kc-malta-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-686-pae-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-amd64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-itanium-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-loongson-2f-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-powerpc64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-powerpc-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-r4k-ip22-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-r5k-cobalt-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-r5k-ip32-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-s390x-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-sb1-bcm91250a-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-sh7751r-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-sh7785lcr-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-sparc64-di - XFS filesystem support (udeb)
 zlib-modules-3.2.0-2-486-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-4kc-malta-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-686-pae-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-amd64-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-amiga-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-atari-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-iop32x-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-itanium-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-loongson-2f-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-mac-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-orion5x-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-parisc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-parisc-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-powerpc-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-r4k-ip22-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-r5k-cobalt-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-r5k-ip32-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-sb1-bcm91250a-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-sh7751r-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-sh7785lcr-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-sparc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-versatile-di - zlib modules (udeb)
Changes: 
 linux-2.6 (3.2.17-1) unstable; urgency=low
 .
   * New upstream stable update:
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.17
     - md: fix possible corruption of array metadata on shutdown.
     - ext4: fix endianness breakage in ext4_split_extent_at()
     - KVM: unmap pages from the iommu when slots are removed (CVE-2012-2121)
     - btrfs: btrfs_root_readonly() broken on big-endian
     - ocfs2: Fix various bugs affecting big-endian architectures
     - lockd: fix the endianness bug
     - phonet: Check input from user before allocating
     - netlink: fix races after skb queueing
     - net: fix a race in sock_queue_err_skb()
     - net/ethernet: ks8851_mll fix rx frame buffer overflow
     - x86, apic: APIC code touches invalid MSR on P5 class machines
     - drm/i915: fix integer overflow in i915_gem_execbuffer2()
     - drm/i915: fix integer overflow in i915_gem_do_execbuffer()
     - USB: cdc-wdm: fix race leading leading to memory corruption
     - autofs: make the autofsv5 packet file descriptor use a packetized pipe
       (Closes: #633423)
     - efi: Validate UEFI boot variables
     - efivars: Improve variable validation
     - fs/cifs: fix parsing of dfs referrals
     - hfsplus: Fix potential buffer overflows (CVE-2012-2319)
     - exit_signal: fix the "parent has changed security domain" logic
 .
   [ Ben Hutchings ]
   * aufs: Enable AUFS_EXPORT
   * ext4: Report max_batch_time option correctly (Closes: #654206)
   * [i386/rt-686-pae] Enable HIGHMEM64G as intended for this configuration
   * NFSv4: Revalidate uid/gid after open (Closes: #659111)
   * sky2: propogate rx hash when packet is copied
   * sky2: fix receive length error in mixed non-VLAN/VLAN traffic
     (Closes: #492853)
   * KVM: Ensure all vcpus are consistent with in-kernel irqchip settings
     (CVE-2012-1601)
   * KVM: lock slots_lock around device assignment (CVE-2012-2121)
   * [rt] bump version to 3.2.16-rt27
 .
   [ Bastian Blank ]
   * [s390] Enable IUCV special message support. (closes: #671238)
 .
   [ Arnaud Patard ]
   * [armhf] Add vexpress support from Vagrant Cascadian with a slightly
     modified kernel configuration (Closes: #670462)
   * [armel] Introduce a new udeb module for leds and use it on kirkwoord
     kernel thanks to Simon Guinot (Closes: #671200)
Checksums-Sha1: 
 bf3d12749c6b685a8f57ff2a4541dbcdf5c6b63b 94082 linux-2.6_3.2.17-1.dsc
 e664894e0b070af962d218fc84839b948b2c4c5b 98470850 linux-2.6_3.2.17.orig.tar.gz
 e32330b2b20006f38449783bde33785228cf9e3d 5957379 linux-2.6_3.2.17-1.diff.gz
 6ca5680415c26544e55edae13ffd2975b10ee606 191554 linux-support-3.2.0-2_3.2.17-1_all.deb
 23fe9bf206c5d640518daf81572d8488c01e6c4b 988618 linux-patch-debian-3.2_3.2.17-1_all.deb
 a25b54b0d2a8356727a2e5757650c4da5bd05859 76843720 linux-source-3.2_3.2.17-1_all.deb
 5faaf58003d4a5a3fee11d0374d806d0d2b5176e 6347486 linux-doc-3.2_3.2.17-1_all.deb
 8269dfaee7f25710d6a959d226aaa16aaa7358fc 2897378 linux-manual-3.2_3.2.17-1_all.deb
Checksums-Sha256: 
 aad20b536608f7a946bd419c122ff8cab082c1bd8b2e653787afbb3e631b3352 94082 linux-2.6_3.2.17-1.dsc
 70e7472385824f6a5d7503b6b70b5aab39fc90379326ed386b3b33d6811be1f7 98470850 linux-2.6_3.2.17.orig.tar.gz
 af058398b3eabcaa58abdacc9820cc57164a63d769d75cc10ad9b9265cb2a0a0 5957379 linux-2.6_3.2.17-1.diff.gz
 77310fa8fe77d780024cc1355bb58c9ddc865025e031ae2f665957b8f2eb0303 191554 linux-support-3.2.0-2_3.2.17-1_all.deb
 4a2c7e475eec21cbf038a85f07138f34466ead9a67e3859d63fa4d5d67518dee 988618 linux-patch-debian-3.2_3.2.17-1_all.deb
 ef776493ef50f1dfd72a2ef4f2a3780ec464a0b183475017d569eeccb8633653 76843720 linux-source-3.2_3.2.17-1_all.deb
 731d8bccca65bf90d268e9fb4f7589cd4bb0364468a4935c6ab39c3f14403aa8 6347486 linux-doc-3.2_3.2.17-1_all.deb
 58daa1eb5c6802276b8d8aa7f491ab480752e58284846e9845dfcc860aff9287 2897378 linux-manual-3.2_3.2.17-1_all.deb
Files: 
 39d356eb3394ecafc02c160b211b29ff 94082 kernel optional linux-2.6_3.2.17-1.dsc
 f7e59982842463de6950d2a4ea3723bb 98470850 kernel optional linux-2.6_3.2.17.orig.tar.gz
 3428161cfa334466dd5d81d14dd5c9bc 5957379 kernel optional linux-2.6_3.2.17-1.diff.gz
 b216f3f1e70eacd1a0b2ee95c67fa97f 191554 devel optional linux-support-3.2.0-2_3.2.17-1_all.deb
 5ad3a0b18eb4d4b9bd2212afb1779b44 988618 kernel optional linux-patch-debian-3.2_3.2.17-1_all.deb
 4d0abb45d33cdc770c7c6746ca87214e 76843720 kernel optional linux-source-3.2_3.2.17-1_all.deb
 6f5523591a8fdd7ba55bad7980d7aba0 6347486 doc optional linux-doc-3.2_3.2.17-1_all.deb
 cb4d72dbff71c4c3f2a29e38bf8fb7ae 2897378 doc optional linux-manual-3.2_3.2.17-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT67EXOe/yOyVhhEJAQpFeg//fTe0vRytm2ZMGE4BYnTNvLGDmc3fq4qO
Thif25LLWGAyQTEwT2YUFRWrN827QSoDbqyPUeR8lWYNlU/+bTtQcFjWdt4JaNHj
jBGtlaVFBuNhr2svuAwB8J43sXPJFmTdyPHKWJpXDIISepYTV+rlY6xViZu8tagx
zWqh9MFReZLJP8tS7BLMSA1JmqKNEM191ceBuf7x//YaBI2Bcn4NR0rdUREkd8xz
LLJrsd/7F8qqqU6pty2hcdiW6XMrtt6lUhcLtY4LmbuswcOr8wFQ34RQ5LA1brJM
ToabuYFncSrOJyfx6Tx2/juWt+NXHBGct2uHnb6l22YLiUptcj0MgVoLwCzEpeW9
Vwq+fW49HgFxctVezf/G6j0uk3DUa3fR8G6OZ01fnMfphdiwDC4PkZvqe8pTMyNz
cXH7RQqAzOCv5wgC1Zb+NuvF2EB1NBWS3z5nzHqSaSEcD/PPenB2B6h+1b/umwdm
c1VCRRPmNQa8Xgd7YOlxLESXns27Feb9anA0o5VhgKAfC8PYJP5uz9/e9kZrKoxc
WSYbg53iy6cGkv/Uu1Eu409j/izvxZkOfkXF116qSZApn6su85uT4wp1Yni1D/8b
QW50YT0pFIOZt/8HBBCu6ifhd1idJt6WolCqoNgVU9Sj57bAdDOA8CVGUuD32uGG
DlNON4IlgNo=
=Z/90
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 20:06:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Jul 2012 07:54:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:29:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.